export interface AbyssObjects {
    AbyssalDepths: number | null;
    DaemonSpawners: string | null;
    Id: string | null;
    Language: string | null;
    MaxLevel: number | null;
    MetadataFile: string | null;
    MinLevel: number | null;
    SpawnWeight: number | null;
    _index: number | null;
}
export interface AchievementItemRewards {
    AchievementItemsKey: number | null;
    BaseItemTypesKey: number | null;
    Id: string | null;
    Language: string | null;
    Message: string | null;
    _index: number | null;
}
export interface AchievementItems {
    AchievementsKey: number | null;
    CompletionsRequired: number | null;
    Id: string | null;
    Language: string | null;
    Name: string | null;
    _index: number | null;
}
export interface Achievements {
    Description: string | null;
    HardcoreOnly: string | null;
    HideAchievementItems: string | null;
    Id: string | null;
    Language: string | null;
    MinCompletedItems: number | null;
    Objective: string | null;
    SetId: number | null;
    ShowItemCompletionsAsOne: string | null;
    SoftcoreOnly: string | null;
    TwoColumnLayout: string | null;
    _index: number | null;
}
export interface AchievementSetRewards {
    AchievementsRequired: number | null;
    HideoutName: string | null;
    Id: string | null;
    Language: string | null;
    Message: string | null;
    NotificationIcon: string | null;
    Rewards: string | null;
    SetId: number | null;
    TotemPieceEveryNAchievements: number | null;
    _index: number | null;
}
export interface AchievementSetsDisplay {
    Id: number | null;
    Language: string | null;
    Title: string | null;
    _index: number | null;
}
export interface ActiveSkills {
    AIFile: string | null;
    ActiveSkillTargetTypes: string | null;
    ActiveSkillTypes: string | null;
    AlternateSkillTargetingBehavioursKey: number | null;
    Description: string | null;
    DisplayedName: string | null;
    Icon_DDSFile: string | null;
    Id: string | null;
    Input_StatKeys: string | null;
    IsManuallyCasted: string | null;
    Language: string | null;
    MinionActiveSkillTypes: string | null;
    Output_StatKeys: string | null;
    SkillTotemId: string | null;
    WeaponRestriction_ItemClassesKeys: string | null;
    WebsiteDescription: string | null;
    WebsiteImage: string | null;
    _index: number | null;
}
export interface ActiveSkillType {
    FlagStat: number | null;
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface Acts {
    ActNumber: number | null;
    Id: string | null;
    IsPostGame: string | null;
    Language: string | null;
    Part: number | null;
    WorldPanelImage: string | null;
    WorldPanelImageEpilogue: string | null;
    _index: number | null;
}
export interface AddBuffToTargetVarieties {
    BuffDefinitions: number | null;
    Language: string | null;
    StatsKeys: string | null;
    _index: number | null;
}
export interface AdditionalLifeScaling {
    DatFile: string | null;
    ID: string | null;
    IntId: number | null;
    Language: string | null;
    _index: number | null;
}
export interface AdditionalMonsterPacksFromStats {
    AdditionalMonsterPacksStatMode: number | null;
    Language: string | null;
    MonsterPacksKeys: string | null;
    PackCountStatsKey: number | null;
    StatsKey: number | null;
    StatsKeys: string | null;
    StatsValues: string | null;
    _index: number | null;
}
export interface AdvancedSkillsTutorial {
    CharactersKey: string | null;
    China_BK2File: string | null;
    Description: string | null;
    Id: string | null;
    International_BK2File: string | null;
    Language: string | null;
    SkillGemInfoKey1: string | null;
    SkillGemInfoKey2: string | null;
    SkillGemsKey: number | null;
    _index: number | null;
}
export interface AegisVariations {
    DefendsAgainstChaos: string | null;
    DefendsAgainstCold: string | null;
    DefendsAgainstFire: string | null;
    DefendsAgainstLightning: string | null;
    DefendsAgainstPhysical: string | null;
    Language: string | null;
    Name: string | null;
    _index: number | null;
}
export interface AfflictionEndgameWaveMods {
    Language: string | null;
    ModsKey: number | null;
    _index: number | null;
}
export interface AfflictionFixedMods {
    Language: string | null;
    Mod: number | null;
    Rarity: number | null;
    _index: number | null;
}
export interface AfflictionRandomModCategories {
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface AfflictionRewardMapMods {
    Language: string | null;
    ModsKey: number | null;
    _index: number | null;
}
export interface AfflictionRewardTypeVisuals {
    AfflictionRewardTypes: string | null;
    Id: string | null;
    Language: string | null;
    Name: string | null;
    _index: number | null;
}
export interface AfflictionSplitDemons {
    AfflictionRandomModCategoriesKey: number | null;
    Language: string | null;
    MonsterVarietiesKey: number | null;
    _index: number | null;
}
export interface AfflictionStartDialogue {
    Language: string | null;
    NPCTextAudioKey: number | null;
    WorldAreasKey: number | null;
    _index: number | null;
}
export interface AlternatePassiveAdditions {
    AlternateTreeVersionsKey: number | null;
    Id: string | null;
    Language: string | null;
    PassiveType: string | null;
    SpawnWeight: number | null;
    Stat1Max: number | null;
    Stat1Min: number | null;
    StatsKeys: string | null;
    _index: number | null;
}
export interface AlternatePassiveSkills {
    AchievementItemsKeys: string | null;
    AlternateTreeVersionsKey: number | null;
    DDSIcon: string | null;
    FlavourText: string | null;
    Id: string | null;
    Language: string | null;
    Name: string | null;
    PassiveType: string | null;
    RandomMax: number | null;
    RandomMin: number | null;
    SpawnWeight: number | null;
    Stat1Max: number | null;
    Stat1Min: number | null;
    Stat2Max: number | null;
    Stat2Min: number | null;
    StatsKeys: string | null;
    _index: number | null;
}
export interface AlternateQualityTypes {
    BaseItemTypesKey: number | null;
    Description: string | null;
    Language: string | null;
    ModsKey: number | null;
    StatsKey: number | null;
    _index: number | null;
}
export interface AlternateSkillTargetingBehaviours {
    ClientStrings: number | null;
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface AlternateTreeVersions {
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface AnimatedObjectFlags {
    AOFile: string | null;
    Language: string | null;
    _index: number | null;
}
export interface Animation {
    Id: string | null;
    Language: string | null;
    Mainhand_AnimationKey: string | null;
    Offhand_AnimationKey: string | null;
    _index: number | null;
}
export interface ApplyDamageFunctions {
    Id: string | null;
    Language: string | null;
    StatsKeys: string | null;
    _index: number | null;
}
export interface ArchetypeRewards {
    BK2File: string | null;
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface Archetypes {
    ArchetypeImage: string | null;
    AscendancyClassName: string | null;
    BackgroundImageFile: string | null;
    CharactersKey: number | null;
    Description: string | null;
    Id: string | null;
    IsTemporary: string | null;
    Language: string | null;
    PassiveSkillTreeURL: string | null;
    TutorialVideo_BKFile: string | null;
    UIImageFile: string | null;
    _index: number | null;
}
export interface ArchitectLifeScalingPerLevel {
    Language: string | null;
    Level: number | null;
    MoreLife: number | null;
    _index: number | null;
}
export interface ArchnemesisMetaRewards {
    Id: string | null;
    Language: string | null;
    MaxLevel: number | null;
    MinLevel: number | null;
    RewardGroup: number | null;
    RewardText: string | null;
    ScriptArgument: string | null;
    _index: number | null;
}
export interface ArchnemesisModComboAchievements {
    Achievement: number | null;
    Language: string | null;
    Mods: string | null;
    _index: number | null;
}
export interface ArchnemesisMods {
    Language: string | null;
    Mod: number | null;
    Name: string | null;
    TextStyles: string | null;
    Visual: number | null;
    _index: number | null;
}
export interface ArchnemesisModVisuals {
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface ArchnemesisRecipes {
    Language: string | null;
    Recipe: string | null;
    Result: number | null;
    _index: number | null;
}
export interface AreaInfluenceDoodads {
    AOFiles: string | null;
    Language: string | null;
    StatValue: number | null;
    StatsKey: number | null;
    _index: number | null;
}
export interface AreaTransitionAnimations {
    AnimationId: string | null;
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface AreaTransitionAnimationTypes {
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface ArmourTypes {
    ArmourMax: number | null;
    ArmourMin: number | null;
    BaseItemTypesKey: number | null;
    EnergyShieldMax: number | null;
    EnergyShieldMin: number | null;
    EvasionMax: number | null;
    EvasionMin: number | null;
    IncreasedMovementSpeed: number | null;
    Language: string | null;
    WardMax: number | null;
    WardMin: number | null;
    _index: number | null;
}
export interface Ascendancy {
    BackgroundImage: string | null;
    Characters: string | null;
    ClassNo: number | null;
    CoordinateRect: string | null;
    FlavourText: string | null;
    Id: string | null;
    Language: string | null;
    Name: string | null;
    OGGFile: string | null;
    PassiveTreeImage: string | null;
    RGBFlavourTextColour: string | null;
    _index: number | null;
}
export interface AtlasExileBossArenas {
    Conqueror: number | null;
    Language: string | null;
    WorldArea: number | null;
    _index: number | null;
}
export interface AtlasExileInfluence {
    Conqueror: number | null;
    Language: string | null;
    Sets: string | null;
    _index: number | null;
}
export interface AtlasExiles {
    Id: string | null;
    InfluencedItemIncrStat: number | null;
    Language: string | null;
    MapIcon: string | null;
    MapIcon2: string | null;
    _index: number | null;
}
export interface AtlasFavouredMapSlots {
    Language: string | null;
    Requirement: string | null;
    _index: number | null;
}
export interface AtlasInfluenceData {
    InfluencePack: number | null;
    Language: string | null;
    MonsterPacks: string | null;
    _index: number | null;
}
export interface AtlasInfluenceOutcomes {
    Id: string | null;
    Language: string | null;
    Type: string | null;
    _index: number | null;
}
export interface AtlasInfluenceSets {
    Id: string | null;
    InfluencePacks: string | null;
    Language: string | null;
    _index: number | null;
}
export interface AtlasMods {
    AtlasModTiers: number | null;
    Language: string | null;
    ModsKey: number | null;
    _index: number | null;
}
export interface AtlasNode {
    AtlasNodeKeys: string | null;
    DDSFile: string | null;
    FlavourTextKey: number | null;
    ItemVisualIdentityKey: number | null;
    Language: string | null;
    MapsKey: number | null;
    NotOnAtlas: string | null;
    Tier0: number | null;
    Tier1: number | null;
    Tier2: number | null;
    Tier3: number | null;
    Tier4: number | null;
    WorldAreasKey: number | null;
    _index: number | null;
}
export interface AtlasNodeDefinition {
    ItemVisualIdentityKey: number | null;
    Language: string | null;
    Tier: number | null;
    WorldAreasKey: number | null;
    _index: number | null;
}
export interface AtlasPassiveSkillTreeGroupType {
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface AtlasPositions {
    Language: string | null;
    X: string | null;
    Y: string | null;
    _index: number | null;
}
export interface AtlasPrimordialAltarChoices {
    Language: string | null;
    Mod: number | null;
    Type: number | null;
    _index: number | null;
}
export interface AtlasPrimordialAltarChoiceTypes {
    BottomIconEater: string | null;
    BottomIconExarch: string | null;
    Id: string | null;
    Language: string | null;
    Text: string | null;
    TopIconEater: string | null;
    TopIconExarch: string | null;
    _index: number | null;
}
export interface AtlasPrimordialBosses {
    Altar: number | null;
    AltarActivated: number | null;
    BossInvitation: number | null;
    Id: string | null;
    InfluenceComplete: number | null;
    Language: string | null;
    MiniBossInvitation: number | null;
    Tag: number | null;
    _index: number | null;
}
export interface AtlasPrimordialBossInfluence {
    Boss: number | null;
    Language: string | null;
    MinMapTier: number | null;
    Progress: number | null;
    _index: number | null;
}
export interface AtlasPrimordialBossOptions {
    DefaultIcon: string | null;
    Description: number | null;
    DescriptionActive: number | null;
    EmptyIcon: string | null;
    HighlightIcon: string | null;
    HoverIcon: string | null;
    Language: string | null;
    Name: string | null;
    ProgressTracker: string | null;
    ProgressTrackerFill: string | null;
    _index: number | null;
}
export interface AtlasUpgradesInventoryLayout {
    Id: string | null;
    Language: string | null;
    Objective: string | null;
    Voidstone: number | null;
    _index: number | null;
}
export interface AwardDisplay {
    BackgroundImage: string | null;
    ForegroundImage: string | null;
    Id: string | null;
    Language: string | null;
    OGGFile: string | null;
    Text: string | null;
    _index: number | null;
}
export interface BackendErrors {
    Id: string | null;
    Language: string | null;
    Text: string | null;
    _index: number | null;
}
export interface BaseItemTypes {
    DropLevel: number | null;
    Equip_AchievementItemsKey: number | null;
    FlavourTextKey: number | null;
    FragmentBaseItemTypesKey: number | null;
    HASH32: number | null;
    Height: number | null;
    Id: string | null;
    IdentifyMagic_AchievementItems: string | null;
    Identify_AchievementItems: string | null;
    Implicit_ModsKeys: string | null;
    Inflection: string | null;
    InheritsFrom: string | null;
    IsCorrupted: string | null;
    ItemClassesKey: number | null;
    ItemVisualIdentity: number | null;
    Language: string | null;
    ModDomain: string | null;
    Name: string | null;
    SiteVisibility: string | null;
    SizeOnGround: number | null;
    SoundEffect: number | null;
    TagsKeys: string | null;
    TradeMarketCategory: number | null;
    VendorRecipe_AchievementItems: string | null;
    Width: number | null;
    _index: number | null;
}
export interface BestiaryCapturableMonsters {
    BestiaryCapturableMonstersKey: number | null;
    BestiaryEncountersKey: number | null;
    BestiaryGenusKey: number | null;
    BestiaryGroupsKey: number | null;
    Boss_MonsterVarietiesKey: number | null;
    Icon: string | null;
    IconSmall: string | null;
    IsDisabled: string | null;
    Language: string | null;
    MonsterVarietiesKey: number | null;
    Name: string | null;
    _index: number | null;
}
export interface BestiaryFamilies {
    CurrencyItemsKey: number | null;
    FlavourText: string | null;
    Icon: string | null;
    IconSmall: string | null;
    Id: string | null;
    Illustration: string | null;
    Language: string | null;
    ModsKeys: string | null;
    Name: string | null;
    PageArt: string | null;
    TagsKey: number | null;
    _index: number | null;
}
export interface BestiaryGenus {
    BestiaryGroupsKey: number | null;
    Icon: string | null;
    Id: string | null;
    Language: string | null;
    Name: string | null;
    Name2: string | null;
    _index: number | null;
}
export interface BestiaryGroups {
    AchievementItemsKeys: string | null;
    BestiaryFamiliesKey: number | null;
    Description: string | null;
    Icon: string | null;
    IconSmall: string | null;
    Id: string | null;
    Illustration: string | null;
    Language: string | null;
    Name: string | null;
    _index: number | null;
}
export interface BestiaryNets {
    BaseItemTypesKey: number | null;
    CaptureMaxLevel: number | null;
    CaptureMinLevel: number | null;
    DropMaxLevel: number | null;
    DropMinLevel: number | null;
    IsEnabled: string | null;
    Language: string | null;
    _index: number | null;
}
export interface BestiaryRecipeComponent {
    BeastRarity: number | null;
    BestiaryCapturableMonstersKey: number | null;
    BestiaryFamiliesKey: number | null;
    BestiaryGenusKey: number | null;
    BestiaryGroupsKey: number | null;
    Id: string | null;
    Language: string | null;
    MinLevel: number | null;
    ModsKey: number | null;
    _index: number | null;
}
export interface BestiaryRecipes {
    AchievementItemsKeys: string | null;
    BestiaryRecipeComponentKeys: string | null;
    Description: string | null;
    HintText: string | null;
    Id: string | null;
    Language: string | null;
    Notes: string | null;
    RedBeastsRequired: number | null;
    _index: number | null;
}
export interface BetrayalChoiceActions {
    BetrayalChoicesKey: number | null;
    ClientStringsKey: number | null;
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface BetrayalChoices {
    Id: string | null;
    Language: string | null;
    Text: string | null;
    _index: number | null;
}
export interface BetrayalDialogue {
    BetrayalTargetsKey: number | null;
    BetrayalUpgradesKey: number | null;
    Language: string | null;
    NPCTextAudioKey: number | null;
    _index: number | null;
}
export interface BetrayalForts {
    ExtraTerrainFeaturesKey: number | null;
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface BetrayalJobs {
    Art: string | null;
    Completion_AchievementItemsKey: string | null;
    ExtraTerrainFeaturesKey: number | null;
    Id: string | null;
    Language: string | null;
    MissionCompletion_AcheivementItemsKey: string | null;
    OpenChests_AchievementItemsKey: string | null;
    Text: string | null;
    WorldAreasKey: number | null;
    _index: number | null;
}
export interface BetrayalRanks {
    Id: string | null;
    Language: string | null;
    Level: number | null;
    RankImage: string | null;
    Text: string | null;
    _index: number | null;
}
export interface BetrayalRelationshipState {
    Id: string | null;
    Language: string | null;
    Text: string | null;
    _index: number | null;
}
export interface BetrayalTargetJobAchievements {
    AchievementItemsKey: number | null;
    BetrayalJobsKey: number | null;
    BetrayalTargetsKey: number | null;
    Language: string | null;
    _index: number | null;
}
export interface BetrayalTargetLifeScalingPerLevel {
    Language: string | null;
    Level: number | null;
    MoreLife: number | null;
    _index: number | null;
}
export interface BetrayalTargets {
    Art: string | null;
    BetrayalJobsKey: number | null;
    BetrayalRanksKey: number | null;
    FullName: string | null;
    Id: string | null;
    ItemClasses: number | null;
    Language: string | null;
    Level3_AchievementItemsKey: number | null;
    MonsterVarietiesKey: number | null;
    SafehouseLeader_AcheivementItemsKey: number | null;
    Safehouse_ARMFile: string | null;
    ScriptArgument: string | null;
    ShortName: string | null;
    _index: number | null;
}
export interface BetrayalTraitorRewards {
    BetrayalJobsKey: number | null;
    BetrayalRanksKey: number | null;
    BetrayalTargetsKey: number | null;
    Description: string | null;
    Language: string | null;
    _index: number | null;
}
export interface BetrayalUpgrades {
    ArtFile: string | null;
    BetrayalUpgradeSlotsKey: number | null;
    Description: string | null;
    GrantedEffectsKey: number | null;
    Id: string | null;
    ItemClassesKey: number | null;
    ItemVisualIdentityKey0: number | null;
    ItemVisualIdentityKey1: number | null;
    Language: string | null;
    ModsKey: string | null;
    Name: string | null;
    _index: number | null;
}
export interface BetrayalWallLifeScalingPerLevel {
    Language: string | null;
    Level: number | null;
    MoreLife: number | null;
    _index: number | null;
}
export interface BindableVirtualKeys {
    Id: string | null;
    KeyCode: number | null;
    Language: string | null;
    Name: string | null;
    _index: number | null;
}
export interface BlightBalancePerLevel {
    Language: string | null;
    Level: number | null;
    _index: number | null;
}
export interface BlightBossLifeScalingPerLevel {
    Language: string | null;
    Level: number | null;
    MoreLife: number | null;
    _index: number | null;
}
export interface BlightChestTypes {
    ChestsKey: number | null;
    Language: string | null;
    _index: number | null;
}
export interface BlightCraftingItems {
    Achievements: string | null;
    Language: string | null;
    Oil: number | null;
    Tier: number | null;
    UseType: number | null;
    _index: number | null;
}
export interface BlightCraftingRecipes {
    BlightCraftingItemsKeys: string | null;
    BlightCraftingResultsKey: number | null;
    BlightCraftingTypesKey: number | null;
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface BlightCraftingResults {
    Id: string | null;
    Language: string | null;
    ModsKey: number | null;
    PassiveSkillsKey: number | null;
    _index: number | null;
}
export interface BlightCraftingTypes {
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface BlightCraftingUniques {
    Language: string | null;
    WordsKey: number | null;
    _index: number | null;
}
export interface BlightedSporeAuras {
    BuffDefinitionsKey: number | null;
    Language: string | null;
    _index: number | null;
}
export interface BlightEncounterTypes {
    Icon: string | null;
    Id: string | null;
    IsGeneric: string | null;
    Language: string | null;
    Weight: number | null;
    _index: number | null;
}
export interface BlightEncounterWaves {
    EncounterType: number | null;
    Language: string | null;
    MonsterSpawnerId: string | null;
    Wave: number | null;
    _index: number | null;
}
export interface BlightRewardTypes {
    Icon: string | null;
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface BlightStashTabLayout {
    BaseItemTypesKey: number | null;
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface BlightTopologies {
    BlightTopologyNodesKey: number | null;
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface BlightTopologyNodes {
    Angle: number | null;
    Id: string | null;
    Language: string | null;
    Size: number | null;
    _index: number | null;
}
export interface BlightTowerAuras {
    BuffDefinitionsKey: number | null;
    Id: number | null;
    Language: string | null;
    MiscAnimatedKey: number | null;
    _index: number | null;
}
export interface BlightTowers {
    Description: string | null;
    Icon: string | null;
    Id: string | null;
    Language: string | null;
    Name: string | null;
    NextUpgradeOptions: string | null;
    Radius: number | null;
    SpendResourceAchievement: number | null;
    StatsKey: number | null;
    StatsKeys: string | null;
    StatsKeys2: string | null;
    Tier: string | null;
    _index: number | null;
}
export interface BlightTowersPerLevel {
    BlightTowersKey: number | null;
    Cost: number | null;
    Language: string | null;
    MonsterVarietiesKey: number | null;
    _index: number | null;
}
export interface BloodTypes {
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface BreachBossLifeScalingPerLevel {
    Language: string | null;
    LifeMultiplier: number | null;
    MonsterLevel: number | null;
    _index: number | null;
}
export interface BreachElement {
    BaseBreachstone: number | null;
    BossMapMod: number | null;
    Element: string | null;
    Language: string | null;
    _index: number | null;
}
export interface BreachstoneUpgrades {
    BaseItemTypesKey0: number | null;
    BaseItemTypesKey1: number | null;
    BaseItemTypesKey2: number | null;
    BaseItemTypesKey3: number | null;
    Language: string | null;
    _index: number | null;
}
export interface BuffDefinitions {
    BuffLimit: number | null;
    BuffVisualsKey: number | null;
    Current_StatsKey: number | null;
    Description: string | null;
    Id: string | null;
    Id2: string | null;
    Invisible: string | null;
    IsRecovery: string | null;
    Language: string | null;
    Maximum_StatsKey: number | null;
    Name: string | null;
    Removable: string | null;
    StatsKeys: string | null;
    _index: number | null;
}
export interface BuffTemplates {
    AuraRadius: number | null;
    BuffDefinitionsKey: number | null;
    BuffVisualsKey: number | null;
    Id: string | null;
    Language: string | null;
    StatsKey: string | null;
    _index: number | null;
}
export interface BuffVisualOrbArt {
    Id: string | null;
    Language: string | null;
    MiscAnimated: number | null;
    _index: number | null;
}
export interface BuffVisualOrbs {
    BuffVisualOrbArtKeys: string | null;
    BuffVisualOrbArtKeys2: string | null;
    BuffVisualOrbTypesKey: number | null;
    Id: string | null;
    Language: string | null;
    Player_BuffVisualOrbArtKeys: string | null;
    _index: number | null;
}
export interface BuffVisualOrbTypes {
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface BuffVisuals {
    BuffDDSFile: string | null;
    BuffDescription: string | null;
    BuffName: string | null;
    BuffVisualOrbs: string | null;
    EPKFile: string | null;
    EPKFiles: string | null;
    EPKFiles1: string | null;
    EPKFiles2: string | null;
    ExtraArt: string | null;
    HasExtraArt: string | null;
    Id: string | null;
    Language: string | null;
    MiscAnimated1: number | null;
    MiscAnimated2: number | null;
    MiscAnimated3: number | null;
    PreloadGroups: string | null;
    _index: number | null;
}
export interface BuffVisualsArtVariations {
    Buff: string | null;
    Language: string | null;
    _index: number | null;
}
export interface BuffVisualSetEntries {
    BuffVisual: number | null;
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface CharacterPanelDescriptionModes {
    FormatString_Negative: string | null;
    FormatString_Positive: string | null;
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface CharacterPanelStats {
    CharacterPanelDescriptionModesKey: number | null;
    CharacterPanelTabsKey: number | null;
    Id: string | null;
    Language: string | null;
    StatsKeys1: string | null;
    StatsKeys2: string | null;
    StatsKeys3: string | null;
    Text: string | null;
    _index: number | null;
}
export interface CharacterPanelTabs {
    Id: string | null;
    Language: string | null;
    Text: string | null;
    _index: number | null;
}
export interface Characters {
    ACTFile: string | null;
    AOFile: string | null;
    AfterImage: string | null;
    AttrsAsId: string | null;
    BaseDexterity: number | null;
    BaseIntelligence: number | null;
    BaseMaxLife: number | null;
    BaseMaxMana: number | null;
    BaseStrength: number | null;
    CharacterSize: number | null;
    Description: string | null;
    Gender: string | null;
    Icon: string | null;
    Id: string | null;
    IntegerId: number | null;
    IntroSoundFile: string | null;
    Language: string | null;
    LoginScreen: string | null;
    MaxAttackDistance: number | null;
    MaxDamage: number | null;
    MinDamage: number | null;
    Name: string | null;
    PassiveTreeImage: string | null;
    PlayerCritter: string | null;
    PlayerEffect: string | null;
    SkillTreeBackground: string | null;
    StartSkillGem: number | null;
    StartWeapons: string | null;
    TencentVideo: string | null;
    TraitDescription: string | null;
    WeaponSpeed: number | null;
    _index: number | null;
}
export interface CharacterStartQuestState {
    Id: string | null;
    Language: string | null;
    MapPinsKeys: string | null;
    QuestKeys: string | null;
    QuestStates: string | null;
    _index: number | null;
}
export interface CharacterStartStates {
    CharacterStartQuestStateKeys: string | null;
    CharacterStartStateSetKey: number | null;
    CharactersKey: number | null;
    Description: string | null;
    Id: string | null;
    InfoText: string | null;
    Language: string | null;
    Level: number | null;
    PassiveSkillsKeys: string | null;
    _index: number | null;
}
export interface CharacterStartStateSet {
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface CharacterTextAudio {
    Id: string | null;
    Language: string | null;
    SoundFile: string | null;
    Text: string | null;
    _index: number | null;
}
export interface ChatIcons {
    Icon: string | null;
    Image: string | null;
    Language: string | null;
    _index: number | null;
}
export interface ChestClusters {
    ChestsKeys: string | null;
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface ChestEffects {
    Id: string | null;
    Language: string | null;
    Magic_Closed_AOFile: string | null;
    Magic_EPKFile: string | null;
    Magic_Open_AOFile: string | null;
    Normal_Closed_AOFile: string | null;
    Normal_EPKFile: string | null;
    Normal_Open_AOFile: string | null;
    Rare_Closed_AOFile: string | null;
    Rare_EPKFile: string | null;
    Rare_Open_AOFile: string | null;
    Unique_Closed_AOFile: string | null;
    Unique_EPKFile: string | null;
    Unique_Open_AOFile: string | null;
    _index: number | null;
}
export interface Chests {
    AOFiles: string | null;
    BaseItemTypesKey: number | null;
    ChestEffectsKey: number | null;
    Corrupt_AchievementItemsKey: number | null;
    CurrencyUse_AchievementItemsKey: number | null;
    Encounter_AchievementItemsKeys: string | null;
    Id: string | null;
    InheritsFrom: string | null;
    Language: string | null;
    MaxLevel: number | null;
    MinLevel: number | null;
    ModsKeys: string | null;
    Name: string | null;
    TagsKeys: string | null;
    _index: number | null;
}
export interface ClientLakeDifficulty {
    Id: number | null;
    Language: string | null;
    Scaling: string | null;
    _index: number | null;
}
export interface ClientLeagueAction {
    GamepadIcon: string | null;
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface ClientStrings {
    HASH32: number | null;
    Id: string | null;
    Language: string | null;
    PlaystationText: string | null;
    Text: string | null;
    XBoxText: string | null;
    XBoxText2: string | null;
    _index: number | null;
}
export interface CloneShot {
    Id: number | null;
    Language: string | null;
    MiscAnimated1: number | null;
    MiscAnimated2: number | null;
    MiscAnimated3: number | null;
    MonsterVarietiesKey: number | null;
    _index: number | null;
}
export interface Colours {
    Blue: number | null;
    Green: number | null;
    Item: string | null;
    Language: string | null;
    Red: number | null;
    RgbCode: string | null;
    _index: number | null;
}
export interface Commands {
    Command: string | null;
    Description: string | null;
    EnglishCommand: string | null;
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface ComponentAttributeRequirements {
    BaseItemTypesKey: string | null;
    Language: string | null;
    ReqDex: number | null;
    ReqInt: number | null;
    ReqStr: number | null;
    _index: number | null;
}
export interface ComponentCharges {
    BaseItemTypesKey: string | null;
    Language: string | null;
    MaxCharges: number | null;
    MaxCharges2: number | null;
    PerCharge: number | null;
    PerCharge2: number | null;
    _index: number | null;
}
export interface CostTypes {
    FormatText: string | null;
    Id: string | null;
    Language: string | null;
    StatsKey: number | null;
    _index: number | null;
}
export interface CraftingBenchOptions {
    AddEnchantment: number | null;
    AddMod: number | null;
    Cost_BaseItemTypes: string | null;
    Cost_Values: string | null;
    CraftingBenchCustomAction: string | null;
    CraftingItemClassCategories: string | null;
    Description: string | null;
    HideoutNPCsKey: number | null;
    IsAreaOption: string | null;
    IsDisabled: string | null;
    ItemClasses: string | null;
    ItemQuantity: number | null;
    Language: string | null;
    Links: number | null;
    Name: string | null;
    Order: number | null;
    RecipeIds: string | null;
    RequiredLevel: number | null;
    SocketColours: string | null;
    Sockets: number | null;
    SortCategory: number | null;
    Tier: number | null;
    UnlockCategory: number | null;
    UnveilsRequired: number | null;
    UnveilsRequired2: number | null;
    _index: number | null;
}
export interface CraftingBenchSortCategories {
    Id: string | null;
    IsVisible: string | null;
    Language: string | null;
    Name: number | null;
    _index: number | null;
}
export interface CraftingBenchUnlockCategories {
    CraftingItemClassCategories: string | null;
    Id: string | null;
    Language: string | null;
    ObtainingDescription: string | null;
    UnlockType: string | null;
    _index: number | null;
}
export interface CraftingItemClassCategories {
    Id: string | null;
    ItemClasses: string | null;
    Language: string | null;
    Text: string | null;
    _index: number | null;
}
export interface CurrencyItems {
    Action: string | null;
    BaseItemTypesKey: number | null;
    CombineAchievements: string | null;
    CosmeticTypeName: string | null;
    CurrencyTab_StackSize: number | null;
    CurrencyUseType: number | null;
    Description: string | null;
    Directions: string | null;
    FullStack_BaseItemTypesKey: number | null;
    Language: string | null;
    ModifyContractsAchievements: string | null;
    ModifyMapsAchievements: string | null;
    Possession_AchievementItemsKey: number | null;
    ShopTag: number | null;
    Stacks: number | null;
    Usage_AchievementItemsKeys: string | null;
    XBoxDirections: string | null;
    _index: number | null;
}
export interface CurrencyStashTabLayout {
    BaseItemTypesKey: number | null;
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface DaemonSpawningData {
    Id: string | null;
    Language: string | null;
    MonsterVarieties: string | null;
    _index: number | null;
}
export interface DamageHitEffects {
    Id: number | null;
    Language: string | null;
    _index: number | null;
}
export interface DamageParticleEffects {
    DamageParticleEffectTypes: string | null;
    ImpactSoundData1: number | null;
    ImpactSoundData2: number | null;
    Language: string | null;
    PETFile: string | null;
    Variation: number | null;
    _index: number | null;
}
export interface Dances {
    BaseItemTypesKey: number | null;
    CharactersKey: number | null;
    Language: string | null;
    _index: number | null;
}
export interface DaressoPitFights {
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface DefaultMonsterStats {
    Accuracy: number | null;
    AllyLife: number | null;
    Armour: number | null;
    Damage: string | null;
    Damage2: string | null;
    Difficulty: number | null;
    DisplayLevel: string | null;
    Evasion: number | null;
    Experience: number | null;
    Language: string | null;
    Life: number | null;
    _index: number | null;
}
export interface DeliriumStashTabLayout {
    BaseItemType: number | null;
    Height: number | null;
    Id: string | null;
    IntId: number | null;
    Language: string | null;
    Width: number | null;
    X: number | null;
    Y: number | null;
    _index: number | null;
}
export interface DelveAzuriteShop {
    BaseItemTypesKey: number | null;
    Cost: number | null;
    IsEnabled: string | null;
    Language: string | null;
    MinDepth: number | null;
    SpawnWeight: number | null;
    _index: number | null;
}
export interface DelveBiomes {
    AchievementItemsKeys: string | null;
    Art2D: string | null;
    Id: string | null;
    Language: string | null;
    Name: string | null;
    SpawnWeight_Depth: string | null;
    SpawnWeight_Values: string | null;
    UIImage: string | null;
    WorldAreasKeys: string | null;
    _index: number | null;
}
export interface DelveCatchupDepths {
    Depth: number | null;
    Language: string | null;
    Level: number | null;
    _index: number | null;
}
export interface DelveCraftingModifierDescriptions {
    Description: string | null;
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface DelveCraftingModifiers {
    AddedModsKeys: string | null;
    AllowedDelveCraftingTagsKeys: string | null;
    BaseItemTypesKey: number | null;
    BlockedDelveCraftingModifierDescriptionsKeys: string | null;
    CanImproveQuality: string | null;
    CanMirrorItem: string | null;
    CanRollEnchant: string | null;
    CanRollWhiteSockets: string | null;
    CorruptedEssenceChance: number | null;
    DelveCraftingModifierDescriptionsKeys: string | null;
    ForbiddenDelveCraftingTagsKeys: string | null;
    ForcedAddModsKeys: string | null;
    HasLuckyRolls: string | null;
    Language: string | null;
    NegativeWeight_TagsKeys: string | null;
    NegativeWeight_Values: string | null;
    SellPrice_ModsKeys: string | null;
    Weight_TagsKeys: string | null;
    Weight_Values: string | null;
    _index: number | null;
}
export interface DelveCraftingTags {
    ItemClass: string | null;
    Language: string | null;
    TagsKey: number | null;
    _index: number | null;
}
export interface DelveDynamite {
    Dynamite_MiscObjectsKey: number | null;
    Language: string | null;
    MiscAnimatedKey: number | null;
    ProjectilesKey: number | null;
    _index: number | null;
}
export interface DelveFeatures {
    AchievementItemsKeys: string | null;
    Description: string | null;
    Id: string | null;
    Image: string | null;
    Language: string | null;
    MinDepth: string | null;
    Name: string | null;
    SpawnWeight: string | null;
    WorldAreasKey: number | null;
    _index: number | null;
}
export interface DelveLevelScaling {
    DarknessResistance: number | null;
    Depth: number | null;
    Language: string | null;
    LightRadius: number | null;
    MonsterLevel: number | null;
    MonsterLevel2: number | null;
    MoreMonsterDamage: number | null;
    MoreMonsterLife: number | null;
    SulphiteCost: number | null;
    _index: number | null;
}
export interface DelveMonsterSpawners {
    BaseMetadata: string | null;
    Language: string | null;
    Script: string | null;
    _index: number | null;
}
export interface DelveResourcePerLevel {
    AreaLevel: number | null;
    Language: string | null;
    Sulphite: number | null;
    _index: number | null;
}
export interface DelveRooms {
    ARMFile: string | null;
    DelveBiomesKey: number | null;
    DelveFeaturesKey: number | null;
    Language: string | null;
    _index: number | null;
}
export interface DelveStashTabLayout {
    BaseItemTypesKey: number | null;
    Height: number | null;
    HideIfNoneOwned: string | null;
    Id: string | null;
    Image: string | null;
    IntId: number | null;
    Language: string | null;
    StackSize: number | null;
    Width: number | null;
    X: number | null;
    Y: number | null;
    _index: number | null;
}
export interface DelveUpgrades {
    AchievementItemsKey: number | null;
    Cost: number | null;
    DelveUpgradeTypeKey: number | null;
    Language: string | null;
    StatValues: string | null;
    StatsKeys: string | null;
    UpgradeLevel: number | null;
    _index: number | null;
}
export interface DescentExiles {
    CharactersKey: number | null;
    Id: string | null;
    Language: string | null;
    MonsterVarietiesKey: number | null;
    WorldAreasKey: number | null;
    _index: number | null;
}
export interface DescentRewardChests {
    BaseItemTypesKeys1: string | null;
    BaseItemTypesKeys10: string | null;
    BaseItemTypesKeys11: string | null;
    BaseItemTypesKeys12: string | null;
    BaseItemTypesKeys13: string | null;
    BaseItemTypesKeys14: string | null;
    BaseItemTypesKeys2: string | null;
    BaseItemTypesKeys3: string | null;
    BaseItemTypesKeys4: string | null;
    BaseItemTypesKeys5: string | null;
    BaseItemTypesKeys6: string | null;
    BaseItemTypesKeys7: string | null;
    BaseItemTypesKeys8: string | null;
    BaseItemTypesKeys9: string | null;
    Id: string | null;
    Language: string | null;
    WorldAreasKey: number | null;
    _index: number | null;
}
export interface DescentStarterChest {
    BaseItemTypesKey: number | null;
    CharactersKey: number | null;
    Id: string | null;
    Language: string | null;
    SocketColours: string | null;
    WorldAreasKey: number | null;
    _index: number | null;
}
export interface DialogueEvent {
    Id: string | null;
    Language: string | null;
    Timer: number | null;
    _index: number | null;
}
export interface DisplayMinionMonsterType {
    Id: number | null;
    Language: string | null;
    MonsterVarietiesKey: number | null;
    _index: number | null;
}
export interface DivinationCardArt {
    BaseItemTypesKey: number | null;
    Language: string | null;
    VirtualFile: string | null;
    _index: number | null;
}
export interface DivinationCardStashTabLayout {
    BaseItemTypesKey: number | null;
    IsEnabled: string | null;
    Language: string | null;
    _index: number | null;
}
export interface Doors {
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface DroneBaseTypes {
    BaseType: number | null;
    Language: string | null;
    Type: number | null;
    UseAchievement: number | null;
    Visual: number | null;
    _index: number | null;
}
export interface DroneTypes {
    DeployText: string | null;
    Id: string | null;
    Language: string | null;
    NotPoweredText: string | null;
    SocketableText: string | null;
    UnlockedStat: number | null;
    _index: number | null;
}
export interface DropEffects {
    AOFile: string | null;
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface DropPool {
    Group: string | null;
    Language: string | null;
    Weight: number | null;
    _index: number | null;
}
export interface EclipseMods {
    IsPrefix: string | null;
    Key: string | null;
    Language: string | null;
    MaxLevel: number | null;
    MinLevel: number | null;
    ModsKey: number | null;
    SpawnWeight_TagsKeys: string | null;
    SpawnWeight_Values: string | null;
    _index: number | null;
}
export interface EffectivenessCostConstants {
    Id: string | null;
    Language: string | null;
    Multiplier: string | null;
    _index: number | null;
}
export interface EinharMissions {
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface ElderBossArenas {
    AchievementItemsKeys: string | null;
    Language: string | null;
    WorldAreasKey: number | null;
    _index: number | null;
}
export interface ElderGuardians {
    Id: string | null;
    Language: string | null;
    MapIcon: string | null;
    _index: number | null;
}
export interface ElderMapBossOverride {
    Language: string | null;
    MonsterVarietiesKeys: string | null;
    TerrainMetadata: string | null;
    WorldAreasKey: number | null;
    _index: number | null;
}
export interface EndlessLedgeChests {
    BaseItemTypesKeys: string | null;
    Id: string | null;
    Language: string | null;
    SocketColour: string | null;
    WorldAreasKey: number | null;
    _index: number | null;
}
export interface Environments {
    Base_ENVFile: string | null;
    Corrupted_ENVFile: string | null;
    EnvironmentTransitionsKey: number | null;
    Id: string | null;
    Language: string | null;
    PreloadGroup: number | null;
    _index: number | null;
}
export interface EnvironmentTransitions {
    Id: string | null;
    Language: string | null;
    OTFiles: string | null;
    _index: number | null;
}
export interface Essences {
    Amulet_ModsKey: number | null;
    BaseItemTypesKey: number | null;
    Belt_ModsKey: number | null;
    BodyArmour_ModsKey: number | null;
    Boots_ModsKey: number | null;
    Bow_ModsKey: number | null;
    Claw_ModsKey: number | null;
    Dagger_ModsKey: number | null;
    Display_Amulet_ModsKey: number | null;
    Display_Armour_ModsKey: number | null;
    Display_Belt_ModsKey: number | null;
    Display_BodyArmour_ModsKey: number | null;
    Display_Boots_ModsKey: number | null;
    Display_Bow_ModsKey: number | null;
    Display_Gloves_ModsKey: number | null;
    Display_Helmet_ModsKey: number | null;
    Display_Items_ModsKey: number | null;
    Display_Jewellery_ModsKey: number | null;
    Display_MeleeWeapon_ModsKey: number | null;
    Display_Monster_ModsKey: number | null;
    Display_OneHandWeapon_ModsKey: number | null;
    Display_Quiver_ModsKey: number | null;
    Display_RangedWeapon_ModsKey: number | null;
    Display_Ring_ModsKey: number | null;
    Display_Shield_ModsKey: number | null;
    Display_TwoHandMeleeWeapon_ModsKey: number | null;
    Display_TwoHandWeapon_ModsKey: number | null;
    Display_Wand_ModsKey: number | null;
    Display_Weapon_ModsKey: number | null;
    DropLevelMaximum: number | null;
    DropLevelMinimum: number | null;
    EssenceTypeKey: number | null;
    Gloves_ModsKey: number | null;
    Helmet_ModsKey: number | null;
    IsScreamingEssence: string | null;
    ItemLevelRestriction: number | null;
    Language: string | null;
    Level: number | null;
    Monster_ModsKeys: string | null;
    OneHandAxe_ModsKey: number | null;
    OneHandMace_ModsKey: number | null;
    OneHandSword_ModsKey: number | null;
    OneHandThrustingSword_ModsKey: number | null;
    Ring_ModsKey: number | null;
    Sceptre_ModsKey: number | null;
    Shield_ModsKey: number | null;
    Staff_ModsKey: number | null;
    TwoHandAxe_ModsKey: number | null;
    TwoHandMace_ModsKey: number | null;
    TwoHandSword_ModsKey: number | null;
    Wand_ModsKey: number | null;
    _index: number | null;
}
export interface EssenceStashTabLayout {
    BaseItemTypesKey: number | null;
    Id: string | null;
    IntId: number | null;
    IsUpgradableEssenceSlot: string | null;
    Language: string | null;
    SlotHeight: number | null;
    SlotWidth: number | null;
    X: number | null;
    Y: number | null;
    _index: number | null;
}
export interface EssenceType {
    EssenceType: number | null;
    Id: string | null;
    IsCorruptedEssence: string | null;
    Language: string | null;
    WordsKey: number | null;
    _index: number | null;
}
export interface ExecuteGEAL {
    Language: string | null;
    MetadataIDs: string | null;
    MiscAnimated: string | null;
    ScriptCommand: string | null;
    _index: number | null;
}
export interface ExpandingPulse {
    IntId: number | null;
    Language: string | null;
    StringId: string | null;
    _index: number | null;
}
export interface ExpeditionAreas {
    Area: number | null;
    CompletionAchievements: string | null;
    Language: string | null;
    PosX: number | null;
    PosY: number | null;
    Tags: string | null;
    TextAudio: number | null;
    _index: number | null;
}
export interface ExpeditionBalancePerLevel {
    Language: string | null;
    Level: number | null;
    _index: number | null;
}
export interface ExpeditionCurrency {
    BaseItemType: number | null;
    Language: string | null;
    LootSound: number | null;
    NPC: number | null;
    Tier: number | null;
    _index: number | null;
}
export interface ExpeditionDeals {
    Arguments: string | null;
    BuyAchievements: string | null;
    DealFamily: string | null;
    Description: string | null;
    Function: string | null;
    Id: number | null;
    Language: string | null;
    TextAudio: number | null;
    _index: number | null;
}
export interface ExpeditionFactions {
    FactionFlag: string | null;
    FactionIcon: string | null;
    Id: string | null;
    Language: string | null;
    MonsterVarieties: number | null;
    Name: string | null;
    Progress1: number | null;
    Progress2Vaal: number | null;
    Progress3Final: number | null;
    Tags: number | null;
    _index: number | null;
}
export interface ExpeditionMarkersCommon {
    AOFile: string | null;
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface ExpeditionNPCs {
    AllBombsPlaced: number | null;
    BombPlacedGeneric: number | null;
    BombPlacedMonsters: number | null;
    BombPlacedRemnant: number | null;
    BombPlacedTreasure: number | null;
    EncounterComplete: number | null;
    Faction: number | null;
    Id: string | null;
    Language: string | null;
    NPCs: string | null;
    Reroll: number | null;
    RerollItem: number | null;
    _index: number | null;
}
export interface ExpeditionRelicMods {
    Categories: string | null;
    DestroyAchievements: string | null;
    Language: string | null;
    Mod: number | null;
    _index: number | null;
}
export interface ExpeditionRelics {
    AOFile: string | null;
    Id: string | null;
    ItemTag: number | null;
    Language: string | null;
    MaxLevel: number | null;
    MinLevel: number | null;
    Name: string | null;
    _index: number | null;
}
export interface ExpeditionStorageLayout {
    BaseItemType: number | null;
    Height: number | null;
    Id: string | null;
    Language: string | null;
    PosX: number | null;
    PosY: number | null;
    Width: number | null;
    _index: number | null;
}
export interface ExpeditionTerrainFeatures {
    Area: number | null;
    ExpeditionAreas: string | null;
    ExpeditionFaction: number | null;
    ExtraFeature: number | null;
    Id: string | null;
    Language: string | null;
    MaxLevel: number | null;
    MinLevel: number | null;
    UnearthAchievements: string | null;
    _index: number | null;
}
export interface ExperienceLevels {
    Experience: number | null;
    Language: string | null;
    Level: number | null;
    _index: number | null;
}
export interface ExplodingStormBuffs {
    BuffDefinitionsKey1: number | null;
    BuffDefinitionsKey2: number | null;
    BuffVisualsKey: number | null;
    Enemy_MonsterVarietiesKey: number | null;
    Friendly_MonsterVarietiesKey: number | null;
    Id: string | null;
    IsOnlySpawningNearPlayer: string | null;
    Language: string | null;
    MiscAnimatedKey: number | null;
    MiscObjectsKey: number | null;
    StatValues: string | null;
    _index: number | null;
}
export interface ExtraTerrainFeatures {
    ArmFiles: string | null;
    Id: string | null;
    Language: string | null;
    TdtFiles: string | null;
    WorldAreasKey: number | null;
    _index: number | null;
}
export interface FixedHideoutDoodadTypes {
    BaseTypeHideoutDoodadsKey: number | null;
    HideoutDoodadsKeys: string | null;
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface Flasks {
    BaseItemTypesKey: number | null;
    BuffDefinitionsKey: number | null;
    BuffStatValues: string | null;
    BuffStatValues2: string | null;
    Group: number | null;
    Language: string | null;
    LifePerUse: number | null;
    ManaPerUse: number | null;
    Name: string | null;
    RecoveryTime: number | null;
    RecoveryTime2: number | null;
    _index: number | null;
}
export interface FlavourText {
    Id: string | null;
    Language: string | null;
    Text: string | null;
    _index: number | null;
}
export interface Footprints {
    Active_AOFiles: string | null;
    Id: string | null;
    Idle_AOFiles: string | null;
    Language: string | null;
    _index: number | null;
}
export interface FootstepAudio {
    Id: string | null;
    Index: number | null;
    Language: string | null;
    _index: number | null;
}
export interface FragmentStashTabLayout {
    FragmentItems: string | null;
    Id: string | null;
    IsDisabled: string | null;
    Language: string | null;
    Order: number | null;
    PosX: number | null;
    PosY: number | null;
    SizeX: number | null;
    SizeY: number | null;
    Subtab: number | null;
    Tab: number | null;
    _index: number | null;
}
export interface GameConstants {
    Id: string | null;
    Language: string | null;
    Value: number | null;
    _index: number | null;
}
export interface GamepadType {
    Console: string | null;
    Id: string | null;
    ImageFile: string | null;
    Language: string | null;
    _index: number | null;
}
export interface GameStats {
    Id: string | null;
    Id2: string | null;
    Language: string | null;
    _index: number | null;
}
export interface GemTags {
    Id: string | null;
    Language: string | null;
    Stat1: number | null;
    Stat2: number | null;
    Stat3: number | null;
    Stat4: number | null;
    Tag: string | null;
    _index: number | null;
}
export interface GenericBuffAuras {
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface GenericLeagueRewardTypes {
    Id: string | null;
    Language: string | null;
    MaxLevel: number | null;
    MinLevel: number | null;
    _index: number | null;
}
export interface GenericLeagueRewardTypeVisuals {
    Icon: string | null;
    Language: string | null;
    Name: string | null;
    Type: number | null;
    _index: number | null;
}
export interface GeometryChannel {
    EPKFile: string | null;
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface GlobalAudioConfig {
    Id: string | null;
    Language: string | null;
    Value: number | null;
    _index: number | null;
}
export interface Grandmasters {
    AISFile: string | null;
    CharacterLevel: number | null;
    GMFile: string | null;
    Id: string | null;
    Language: string | null;
    ModsKeys: string | null;
    _index: number | null;
}
export interface GrantedEffectQualityStats {
    GrantedEffectsKey: number | null;
    Language: string | null;
    SetId: number | null;
    StatsKeys: string | null;
    StatsValuesPermille: string | null;
    Weight: number | null;
    _index: number | null;
}
export interface GrantedEffectQualityTypes {
    ClientStringsKey: number | null;
    Id: number | null;
    Language: string | null;
    Text: string | null;
    _index: number | null;
}
export interface GrantedEffects {
    ActiveSkill: number | null;
    AddedActiveSkillTypes: string | null;
    AddedMinionActiveSkillTypes: string | null;
    AllowedActiveSkillTypes: string | null;
    Animation: number | null;
    Attribute: string | null;
    CannotBeSupported: string | null;
    CastTime: number | null;
    ExcludedActiveSkillTypes: string | null;
    Id: string | null;
    IgnoreMinionTypes: string | null;
    IsSupport: string | null;
    Language: string | null;
    MultiPartAchievement: number | null;
    RegularVariant: number | null;
    StatSet: number | null;
    SupportGemLetter: string | null;
    SupportWeaponRestrictions: string | null;
    SupportsGemsOnly: string | null;
    _index: number | null;
}
export interface GrantedEffectsPerLevel {
    AttackSpeedMultiplier: number | null;
    AttackTime: number | null;
    Cooldown: number | null;
    CooldownBypassType: string | null;
    CooldownGroup: number | null;
    CostAmounts: string | null;
    CostMultiplier: number | null;
    CostTypes: string | null;
    GrantedEffect: number | null;
    Language: string | null;
    Level: number | null;
    LifeReservationFlat: number | null;
    LifeReservationPercent: number | null;
    ManaReservationFlat: number | null;
    ManaReservationPercent: number | null;
    PlayerLevelReq: number | null;
    SoulGainPreventionDuration: number | null;
    StoredUses: number | null;
    VaalSouls: number | null;
    VaalStoredUses: number | null;
    _index: number | null;
}
export interface GrantedEffectStatSets {
    BaseEffectiveness: string | null;
    ConstantStats: string | null;
    ConstantStatsValues: string | null;
    Id: string | null;
    ImplicitStats: string | null;
    IncrementalEffectiveness: string | null;
    Language: string | null;
    _index: number | null;
}
export interface GrantedEffectStatSetsPerLevel {
    AdditionalFlags: string | null;
    AdditionalStats: string | null;
    AdditionalStatsValues: string | null;
    AttackCritChance: number | null;
    BaseMultiplier: number | null;
    BaseResolvedValues: string | null;
    DamageEffectiveness: number | null;
    FloatStats: string | null;
    FloatStatsValues: string | null;
    GemLevel: number | null;
    GrantedEffects: string | null;
    InterpolationBases: string | null;
    Language: string | null;
    PlayerLevelReq: number | null;
    SpellCritChance: number | null;
    StatInterpolations: string | null;
    StatSet: number | null;
    _index: number | null;
}
export interface GroundEffects {
    AOFile: string | null;
    EndEffect: string | null;
    GroundEffectTypesKey: number | null;
    Language: string | null;
    _index: number | null;
}
export interface GroundEffectTypes {
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface Harbingers {
    Language: string | null;
    MaxLevel: number | null;
    MinLevel: number | null;
    MonsterVarietiesKey: number | null;
    _index: number | null;
}
export interface HarvestCraftOptionIcons {
    DDSFile: string | null;
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface HarvestCraftTiers {
    FrameHighlight: string | null;
    FrameImage: string | null;
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface HarvestInfrastructure {
    ClientStringsKey: number | null;
    Language: string | null;
    Object: string | null;
    _index: number | null;
}
export interface HarvestPerLevelValues {
    Language: string | null;
    Level: number | null;
    _index: number | null;
}
export interface HeistAreaFormationLayout {
    HeistAreasKey: number | null;
    Language: string | null;
    _index: number | null;
}
export interface HeistAreas {
    AchievementItemsKeys: string | null;
    AchievementItemsKeys2: string | null;
    Blueprint_BaseItemTypesKey: number | null;
    Blueprint_DDSFile: string | null;
    ClientStringsKey: number | null;
    Contract_BaseItemTypesKey: number | null;
    DGRFile: string | null;
    EnvironmentsKey1: number | null;
    EnvironmentsKey2: number | null;
    HeistJobsKeys: string | null;
    Id: string | null;
    Language: string | null;
    WorldAreasKeys: string | null;
    _index: number | null;
}
export interface HeistBalancePerLevel {
    HeistValueScalingKey1: number | null;
    HeistValueScalingKey2: number | null;
    HeistValueScalingKey3: number | null;
    HeistValueScalingKey4: number | null;
    HeistValueScalingKey5: number | null;
    HeistValueScalingKey6: number | null;
    HeistValueScalingKey7: number | null;
    Language: string | null;
    Level: number | null;
    _index: number | null;
}
export interface HeistChestRewardTypes {
    Art: string | null;
    HeistJobsKey: string | null;
    Id: string | null;
    Language: string | null;
    MaxLevel: number | null;
    MinLevel: number | null;
    RewardRoomName: string | null;
    RewardRoomName2: string | null;
    RewardTypeName: string | null;
    Weight: number | null;
    _index: number | null;
}
export interface HeistChests {
    ChestsKey: number | null;
    HeistAreasKey: string | null;
    HeistChestTypesKey: string | null;
    Language: string | null;
    Weight: number | null;
    _index: number | null;
}
export interface HeistConstants {
    Id: string | null;
    Language: string | null;
    Value: string | null;
    _index: number | null;
}
export interface HeistContracts {
    BaseItemTypesKey: number | null;
    HeistAreasKey: number | null;
    Language: string | null;
    _index: number | null;
}
export interface HeistDoodadNPCs {
    AOFile: string | null;
    BetrayalTargetsKey: number | null;
    Language: string | null;
    NPCsKey: number | null;
    Stance: string | null;
    _index: number | null;
}
export interface HeistDoors {
    HeistAreasKey: number | null;
    HeistJobsKey1: number | null;
    HeistJobsKey2: number | null;
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface HeistEquipment {
    BaseItemTypesKey: number | null;
    Language: string | null;
    RequiredJob_HeistJobsKey: number | null;
    RequiredLevel: number | null;
    _index: number | null;
}
export interface HeistGeneration {
    Language: string | null;
    Level: number | null;
    _index: number | null;
}
export interface HeistIntroAreas {
    DGRFile: string | null;
    HeistAreasKey: number | null;
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface HeistJobs {
    Alarm_StatsKey: number | null;
    Alert_StatsKey: number | null;
    ConsoleBlueprintLegend: string | null;
    Cost_StatsKey: number | null;
    Description: string | null;
    ExperienceGain_StatsKey: number | null;
    Id: string | null;
    Language: string | null;
    Level_StatsKey: number | null;
    MapIcon: string | null;
    Name: string | null;
    RequiredSkillIcon: string | null;
    SkillIcon: string | null;
    _index: number | null;
}
export interface HeistJobsExperiencePerLevel {
    AchievementItemsKey: string | null;
    Experience: number | null;
    HeistJobsKey: number | null;
    Language: string | null;
    MinLevel: number | null;
    Tier: number | null;
    _index: number | null;
}
export interface HeistLockType {
    HeistJobsKey: number | null;
    Id: string | null;
    Language: string | null;
    SkillIcon: string | null;
    _index: number | null;
}
export interface HeistNPCAuras {
    GrantedEffect: number | null;
    Language: string | null;
    Stat: number | null;
    _index: number | null;
}
export interface HeistNPCBlueprintTypes {
    Language: string | null;
    NPCsKey: number | null;
    _index: number | null;
}
export interface HeistNPCDialogue {
    AudioLoud: string | null;
    AudioNormal: string | null;
    DialogueEventKey: number | null;
    HeistNPCsKey: number | null;
    Language: string | null;
    _index: number | null;
}
export interface HeistNPCs {
    AOFile: string | null;
    ActiveNPCIcon: string | null;
    Ally_NPCsKey: number | null;
    Equip_AchievementItemsKeys: string | null;
    HeistJobsKey: number | null;
    HeistNPCStatsKeys: string | null;
    HeistNPCsKey: number | null;
    Language: string | null;
    MonsterVarietiesKey: number | null;
    NPCsKey: number | null;
    Name: string | null;
    PortraitFile: string | null;
    SilhouetteFile: string | null;
    SkillLevel_HeistJobsKeys: string | null;
    SkillLevel_Values: string | null;
    StatValues: string | null;
    StatValues2: string | null;
    _index: number | null;
}
export interface HeistNPCStats {
    Language: string | null;
    StatsKey: number | null;
    _index: number | null;
}
export interface HeistObjectives {
    BaseItemType: number | null;
    Language: string | null;
    Name: string | null;
    Scaling: string | null;
    _index: number | null;
}
export interface HeistObjectiveValueDescriptions {
    Description: string | null;
    Language: string | null;
    MarkersMultiply: string | null;
    Tier: number | null;
    _index: number | null;
}
export interface HeistPatrolPacks {
    Language: string | null;
    MonsterPacksKey: number | null;
    _index: number | null;
}
export interface HeistQuestContracts {
    BaseItemTypesKey: number | null;
    HaveObjective: number | null;
    HaveObjective2: number | null;
    HaveQuest: number | null;
    HeistContractsKey: number | null;
    HeistIntroAreasKey: number | null;
    HeistJobsKey: number | null;
    HeistNPCsKey: string | null;
    HeistObjectivesKey: number | null;
    HeistRoomsKey1: number | null;
    HeistRoomsKey2: number | null;
    Language: string | null;
    Objective: string | null;
    QuestActive: number | null;
    WorldAreasKey: number | null;
    _index: number | null;
}
export interface HeistRevealingNPCs {
    Language: string | null;
    NPCAudioKey: string | null;
    NPCsKey: number | null;
    PortraitFile: string | null;
    _index: number | null;
}
export interface HeistRooms {
    ARMFile: string | null;
    HeistAreasKey: number | null;
    HeistJobsKey1: number | null;
    HeistJobsKey2: number | null;
    Id: number | null;
    Language: string | null;
    _index: number | null;
}
export interface HeistStorageLayout {
    BaseItemType: number | null;
    ButtonFile: string | null;
    Columns: number | null;
    HeistJobsKey: number | null;
    Id: string | null;
    ItemClass: number | null;
    Language: string | null;
    Rows: number | null;
    _index: number | null;
}
export interface HeistValueScaling {
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface HellscapeAOReplacements {
    HASH32: number | null;
    Language: string | null;
    Original: string | null;
    Replacement: string | null;
    _index: number | null;
}
export interface HellscapeAreaPacks {
    Language: string | null;
    MonsterPacks: string | null;
    WorldArea: number | null;
    _index: number | null;
}
export interface HellscapeExperienceLevels {
    Experience: number | null;
    Language: string | null;
    Level: number | null;
    _index: number | null;
}
export interface HellscapeFactions {
    Boss: number | null;
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface HellscapeImmuneMonsters {
    Language: string | null;
    Monster: number | null;
    _index: number | null;
}
export interface HellscapeItemModificationTiers {
    IsMap: string | null;
    Language: string | null;
    MinItemLvl: number | null;
    Tier: number | null;
    _index: number | null;
}
export interface HellscapeLifeScalingPerLevel {
    AreaLevel: number | null;
    Language: string | null;
    Scale: number | null;
    _index: number | null;
}
export interface HellscapeModificationInventoryLayout {
    Column: number | null;
    Height: number | null;
    Id: string | null;
    IsMapSlot: string | null;
    Language: string | null;
    Quest: number | null;
    Row: number | null;
    Stat: number | null;
    StatValue: number | null;
    UnlockedWith: number | null;
    Width: number | null;
    _index: number | null;
}
export interface HellscapeMods {
    Language: string | null;
    Mod: number | null;
    ModFamilies: string | null;
    TiersWhitelist: string | null;
    TransformAchievement: number | null;
    _index: number | null;
}
export interface HellscapeMonsterPacks {
    Faction: number | null;
    Id: string | null;
    IsDonutPack: string | null;
    IsElite: string | null;
    Language: string | null;
    MaxLevel: number | null;
    MinLevel: number | null;
    MonsterPack: number | null;
    _index: number | null;
}
export interface HellscapePassives {
    HASH16: number | null;
    Icon: string | null;
    IconMaxed: string | null;
    Id: string | null;
    Language: string | null;
    Name: string | null;
    Points: number | null;
    Quest: number | null;
    SoundEffect: number | null;
    Stats: string | null;
    StatsValues: string | null;
    _index: number | null;
}
export interface HellscapePassiveTree {
    AllocationsRequired: number | null;
    Id: string | null;
    Language: string | null;
    Passives: string | null;
    _index: number | null;
}
export interface HideoutDoodadCategory {
    Id: string | null;
    Language: string | null;
    Name: string | null;
    _index: number | null;
}
export interface HideoutDoodads {
    BaseItemTypesKey: number | null;
    Category: number | null;
    InheritsFrom: string | null;
    IsCraftingBench: string | null;
    IsNonMasterDoodad: string | null;
    Language: string | null;
    Tags: string | null;
    Variation_AOFiles: string | null;
    _index: number | null;
}
export interface HideoutDoodadTags {
    Id: string | null;
    Language: string | null;
    Name: string | null;
    _index: number | null;
}
export interface HideoutNPCs {
    HideoutDoodadsKey: number | null;
    Hideout_NPCsKey: number | null;
    Language: string | null;
    NPCMasterKey: number | null;
    Regular_NPCsKeys: string | null;
    _index: number | null;
}
export interface HideoutRarity {
    Id: string | null;
    Language: string | null;
    Text: string | null;
    _index: number | null;
}
export interface Hideouts {
    HideoutFile: string | null;
    HideoutImage: string | null;
    Id: string | null;
    IsEnabled: string | null;
    Language: string | null;
    LargeWorldAreasKey: number | null;
    Name: string | null;
    SmallWorldAreasKey: number | null;
    Weight: number | null;
    _index: number | null;
}
export interface ImpactSoundData {
    Id: string | null;
    Language: string | null;
    Sound: string | null;
    _index: number | null;
}
export interface Incubators {
    AchievementItemsKeys: string | null;
    BaseItemTypesKey: number | null;
    Description: string | null;
    Hash: number | null;
    Language: string | null;
    _index: number | null;
}
export interface IncursionArchitect {
    Language: string | null;
    MinLevel: number | null;
    MonsterVarietiesKey: number | null;
    _index: number | null;
}
export interface IncursionBrackets {
    Incursion_WorldAreasKey: number | null;
    Language: string | null;
    MinLevel: number | null;
    Template_WorldAreasKey: number | null;
    _index: number | null;
}
export interface IncursionChestRewards {
    ChestMarkerMetadata: string | null;
    IncursionChestsKeys: string | null;
    IncursionRoomsKey: number | null;
    Language: string | null;
    _index: number | null;
}
export interface IncursionChests {
    ChestsKey: number | null;
    Id: string | null;
    Language: string | null;
    MaxLevel: number | null;
    MinLevel: number | null;
    UniqueChestsKey: number | null;
    Weight: number | null;
    _index: number | null;
}
export interface IncursionRoomBossFightEvents {
    Language: string | null;
    Room: number | null;
    _index: number | null;
}
export interface IncursionRooms {
    AchievementItemsKeys: string | null;
    Description: string | null;
    FlavourText: string | null;
    HASH16: number | null;
    Id: string | null;
    IncursionArchitectKey: number | null;
    Language: string | null;
    MinLevel: number | null;
    Mods: string | null;
    Name: string | null;
    PastARMFile: string | null;
    PresentARMFile: string | null;
    RoomUpgradeFrom_IncursionRoomsKey: number | null;
    RoomUpgrade_IncursionRoomsKey: number | null;
    TSIFile: string | null;
    Tier: number | null;
    UIIcon: string | null;
    _index: number | null;
}
export interface IncursionUniqueUpgradeComponents {
    BaseItemType: number | null;
    Language: string | null;
    _index: number | null;
}
export interface IndexableSupportGems {
    Index: number | null;
    Language: string | null;
    Name: string | null;
    SupportGem: number | null;
    _index: number | null;
}
export interface InfluenceExalts {
    BaseItemTypesKey: number | null;
    Id: number | null;
    Language: string | null;
    _index: number | null;
}
export interface InfluenceModUpgrades {
    InfluenceMod: number | null;
    Language: string | null;
    UpgradedMod: number | null;
    _index: number | null;
}
export interface InfluenceTags {
    Influence: string | null;
    ItemClass: number | null;
    Language: string | null;
    Tag: number | null;
    _index: number | null;
}
export interface InvasionMonsterRestrictions {
    Id: string | null;
    Language: string | null;
    MonsterVarietiesKeys: string | null;
    WorldAreasKey: number | null;
    _index: number | null;
}
export interface InvasionMonstersPerArea {
    Language: string | null;
    MonsterVarietiesKeys1: string | null;
    MonsterVarietiesKeys2: string | null;
    WorldAreasKey: number | null;
    _index: number | null;
}
export interface Inventories {
    Id: string | null;
    InventoryIdKey: string | null;
    InventoryTypeKey: string | null;
    Language: string | null;
    _index: number | null;
}
export interface ItemClassCategories {
    Id: string | null;
    Language: string | null;
    Text: string | null;
    _index: number | null;
}
export interface ItemClasses {
    AllocateToMapOwner: string | null;
    AlwaysAllocate: string | null;
    AlwaysShow: string | null;
    CanBeCorrupted: string | null;
    CanBeDoubleCorrupted: string | null;
    CanHaveAspects: string | null;
    CanHaveIncubators: string | null;
    CanHaveInfluence: string | null;
    CanHaveVeiledMods: string | null;
    CanScourge: string | null;
    CanTransferSkin: string | null;
    EquipAchievements: number | null;
    Flags: string | null;
    Id: string | null;
    IdentifyAchievements: string | null;
    ItemClassCategory: number | null;
    ItemStance: number | null;
    Language: string | null;
    Name: string | null;
    PickedUpQuest: number | null;
    RemovedIfLeavesArea: string | null;
    TradeMarketCategory: number | null;
    _index: number | null;
}
export interface ItemCostPerLevel {
    Contract_BaseItemTypesKey: number | null;
    Cost: number | null;
    Language: string | null;
    Level: number | null;
    _index: number | null;
}
export interface ItemCosts {
    Cost1Currencies: string | null;
    Cost1Values: string | null;
    Cost2Currencies: string | null;
    Cost2Values: string | null;
    Cost3Currencies: string | null;
    Cost3Values: string | null;
    Cost4Currencies: string | null;
    Cost4Values: string | null;
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface ItemExperiencePerLevel {
    BaseItemTypesKey: number | null;
    Experience: number | null;
    ItemCurrentLevel: number | null;
    Language: string | null;
    _index: number | null;
}
export interface ItemisedVisualEffect {
    BaseItemTypesKey: number | null;
    ItemClasses: string | null;
    ItemVisualEffectKey: number | null;
    ItemVisualIdentityKey1: number | null;
    ItemVisualIdentityKey2: number | null;
    Language: string | null;
    Stats: string | null;
    _index: number | null;
}
export interface ItemNoteCode {
    BaseItemTypesKey: number | null;
    Code: string | null;
    Language: string | null;
    _index: number | null;
}
export interface ItemStances {
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface ItemVisualEffect {
    BowEPKFile: string | null;
    ClawEPKFile: string | null;
    DaggerEPKFile: string | null;
    Id: string | null;
    Language: string | null;
    OneHandedAxeEPKFile: string | null;
    OneHandedMaceEPKFile: string | null;
    OneHandedSwordEPKFile: string | null;
    PETFile: string | null;
    Shield: string | null;
    TwoHandedAxeEPKFile: string | null;
    TwoHandedMaceEPKFile: string | null;
    TwoHandedStaffEPKFile: string | null;
    TwoHandedSwordEPKFile: string | null;
    _index: number | null;
}
export interface ItemVisualHeldBodyModel {
    DuelistAnimatedObject: string | null;
    DuelistBone: string | null;
    ItemVisualIdentity: number | null;
    Language: string | null;
    MarauderAnimatedObject: string | null;
    MarauderBone: string | null;
    RangerAnimatedObject: string | null;
    RangerBone: string | null;
    ScionAnimatedObject: string | null;
    ScionBone: string | null;
    ShadowAnimatedObject: string | null;
    ShadowBone: string | null;
    TemplarAnimatedObject: string | null;
    TemplarBone: string | null;
    WitchAnimatedObject: string | null;
    WitchBone: string | null;
    _index: number | null;
}
export interface ItemVisualIdentity {
    AOFile: string | null;
    AOFile2: string | null;
    AnimationLocation: string | null;
    Corrupt_AchievementItemsKeys: string | null;
    CreateCorruptedJewelAchievementItemsKey: number | null;
    DDSFile: string | null;
    DuelistDexSMFiles: string | null;
    DuelistShape: string | null;
    EPKFile: string | null;
    Id: string | null;
    Identify_AchievementItemsKeys: string | null;
    InventorySoundEffect: number | null;
    IsAlternateArt: string | null;
    IsAtlasOfWorldsMapIcon: string | null;
    IsTier16Icon: string | null;
    Language: string | null;
    MarauderSMFiles: string | null;
    MarauderShape: string | null;
    Pickup_AchievementItemsKeys: string | null;
    RangerSMFiles: string | null;
    RangerShape: string | null;
    SMFiles: string | null;
    ScionSMFiles: string | null;
    ScionShape: string | null;
    ShadowSMFiles: string | null;
    ShadowShape: string | null;
    TemplarSMFiles: string | null;
    TemplarShape: string | null;
    WitchSMFiles: string | null;
    WitchShape: string | null;
    _index: number | null;
}
export interface JobRaidBrackets {
    Language: string | null;
    MinLevel: number | null;
    WorldArea: number | null;
    _index: number | null;
}
export interface KillstreakThresholds {
    AchievementItemsKey: number | null;
    Kills: number | null;
    Language: string | null;
    MonsterVarietiesKey: number | null;
    _index: number | null;
}
export interface KiracLevels {
    AreaLevel: number | null;
    Language: string | null;
    _index: number | null;
}
export interface LabyrinthAreas {
    Cruel_WorldAreasKeys: string | null;
    Endgame_WorldAreasKeys: string | null;
    Id: string | null;
    Language: string | null;
    Merciless_WorldAreasKeys: string | null;
    Normal_WorldAreasKeys: string | null;
    _index: number | null;
}
export interface LabyrinthBonusItems {
    AreaLevel: number | null;
    BaseItemType: number | null;
    LabyrinthName: string | null;
    Language: string | null;
    _index: number | null;
}
export interface LabyrinthExclusionGroups {
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface LabyrinthIzaroChests {
    ChestsKey: number | null;
    Id: string | null;
    Language: string | null;
    MaxLabyrinthTier: number | null;
    MinLabyrinthTier: number | null;
    SpawnWeight: number | null;
    _index: number | null;
}
export interface LabyrinthNodeOverrides {
    Id1: string | null;
    Id2: string | null;
    Language: string | null;
    _index: number | null;
}
export interface LabyrinthRewardTypes {
    Id: string | null;
    Language: string | null;
    ObjectPath: string | null;
    _index: number | null;
}
export interface Labyrinths {
    AreaLevel: number | null;
    CraftingFontDescription: number | null;
    JewelReward: number | null;
    Language: string | null;
    MinLevel: number | null;
    Name: string | null;
    OfferingItem: number | null;
    QuestFlag: number | null;
    RequiredTrials: string | null;
    Tier: number | null;
    _index: number | null;
}
export interface LabyrinthSecretEffects {
    Buff_BuffDefinitionsKey: number | null;
    Buff_StatValues: string | null;
    Id: string | null;
    Language: string | null;
    MonsterVarietiesKey: number | null;
    OTFile: string | null;
    _index: number | null;
}
export interface LabyrinthSecrets {
    AchievementItemsKey: number | null;
    Id: string | null;
    Id2: string | null;
    LabyrinthSecretEffectsKeys0: string | null;
    LabyrinthSecretEffectsKeys1: string | null;
    LabyrinthSecretEffectsKeys2: string | null;
    LabyrinthSecretEffectsKeys3: string | null;
    LabyrinthTierMaximum: number | null;
    LabyrinthTierMinimum: number | null;
    Language: string | null;
    Name: string | null;
    _index: number | null;
}
export interface LabyrinthSection {
    ExclusionGroup: number | null;
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface LabyrinthSectionLayout {
    Float0: string | null;
    Float1: string | null;
    LabyrinthAreasKey: number | null;
    LabyrinthNodeOverridesKeys: string | null;
    LabyrinthSecretsKey0: number | null;
    LabyrinthSecretsKey1: number | null;
    LabyrinthSectionKey: number | null;
    LabyrinthSectionLayoutKeys: string | null;
    Language: string | null;
    _index: number | null;
}
export interface LabyrinthTrials {
    Language: string | null;
    NPCTextAudioKey: number | null;
    WorldAreas: number | null;
    _index: number | null;
}
export interface LabyrinthTrinkets {
    BaseItemTypesKey: number | null;
    Buff_BuffDefinitionsKey: number | null;
    Buff_StatValues: string | null;
    LabyrinthSecretsKey: string | null;
    Language: string | null;
    _index: number | null;
}
export interface LakeBossLifeScalingPerLevel {
    Language: string | null;
    Level: number | null;
    Scaling: number | null;
    _index: number | null;
}
export interface LakeMetaOptions {
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface LakeMetaOptionsUnlockText {
    Id: number | null;
    Language: string | null;
    Text: string | null;
    _index: number | null;
}
export interface LakeRoomCompletion {
    Achievements: string | null;
    Language: string | null;
    Room: number | null;
    _index: number | null;
}
export interface LakeRooms {
    ARMFiles: string | null;
    Description: string | null;
    ExtraStats: string | null;
    ExtraStatsValues: string | null;
    Icon: string | null;
    Id: string | null;
    Language: string | null;
    MinLevel: number | null;
    Name: string | null;
    ReminderText: string | null;
    Script: string | null;
    Stats: string | null;
    StatsValues: string | null;
    TextAudio: number | null;
    Type: number | null;
    WorldArea: number | null;
    _index: number | null;
}
export interface LeagueFlag {
    Banner: string | null;
    Id: string | null;
    Image: string | null;
    IsHC: string | null;
    IsSSF: string | null;
    Language: string | null;
    _index: number | null;
}
export interface LeagueInfo {
    BackgroundImage: string | null;
    Description: string | null;
    HeaderImage: string | null;
    Id: string | null;
    Language: string | null;
    League: string | null;
    PanelImage: string | null;
    PanelItems: string | null;
    Screenshots: string | null;
    TrailerVideoLink: string | null;
    _index: number | null;
}
export interface LeagueProgressQuestFlags {
    Boss: string | null;
    CompletionString: number | null;
    Language: string | null;
    QuestFlag: number | null;
    _index: number | null;
}
export interface LegionBalancePerLevel {
    Language: string | null;
    MinLevel: number | null;
    _index: number | null;
}
export interface LegionChestCounts {
    Language: string | null;
    LegionFactionsKey: number | null;
    LegionRanksKey: number | null;
    MinLevel: number | null;
    _index: number | null;
}
export interface LegionChests {
    ChestsKey: number | null;
    Language: string | null;
    LegionFactionsKey: number | null;
    LegionRanksKey: number | null;
    MonsterVarietiesKey: number | null;
    _index: number | null;
}
export interface LegionFactions {
    AchievementItemsKeys1: string | null;
    AchievementItemsKeys2: string | null;
    BuffVisualsKey: number | null;
    Id: string | null;
    Language: string | null;
    LegionBalancePerLevelKey: number | null;
    MiscAnimatedKey1: number | null;
    MiscAnimatedKey2: number | null;
    MiscAnimatedKey3: number | null;
    MiscAnimatedKey4: number | null;
    MiscAnimatedKey5: number | null;
    Shard: string | null;
    StatsKey: number | null;
    _index: number | null;
}
export interface LegionMonsterCounts {
    Language: string | null;
    LegionFactionsKey: number | null;
    LegionRanksKey: number | null;
    _index: number | null;
}
export interface LegionMonsterVarieties {
    Language: string | null;
    LegionFactionsKey: number | null;
    LegionRanksKey: number | null;
    MiscAnimatedKey: string | null;
    MonsterVarietiesKey: number | null;
    MonsterVarietiesKey2: number | null;
    _index: number | null;
}
export interface LegionRanks {
    Language: string | null;
    LegionBalancePerLevelKey: number | null;
    _index: number | null;
}
export interface LegionRewardTypeVisuals {
    Id: string | null;
    IntId: number | null;
    Language: string | null;
    MinimapIconsKey: number | null;
    MiscAnimatedKey: number | null;
    _index: number | null;
}
export interface LevelRelativePlayerScaling {
    Language: string | null;
    MonsterLevel: number | null;
    PlayerLevel: number | null;
    _index: number | null;
}
export interface MagicMonsterLifeScalingPerLevel {
    Language: string | null;
    Level: number | null;
    Life: number | null;
    _index: number | null;
}
export interface MapCompletionAchievements {
    AchievementItemsKeys: string | null;
    Language: string | null;
    MapStatConditionsKeys: string | null;
    MapTierAchievementsKeys: string | null;
    StatsKeys: string | null;
    WorldAreasKeys: string | null;
    _index: number | null;
}
export interface MapConnections {
    Language: string | null;
    MapPinsKey0: number | null;
    MapPinsKey1: number | null;
    RestrictedAreaText: string | null;
    _index: number | null;
}
export interface MapCreationInformation {
    Language: string | null;
    MapsKey: number | null;
    Tier: number | null;
    _index: number | null;
}
export interface MapDeviceRecipes {
    AreaLevel: number | null;
    Id: string | null;
    Language: string | null;
    MicrotransactionPortalVariation: number | null;
    OpenAchievemnts: string | null;
    RecipeItems: string | null;
    WorldArea: number | null;
    _index: number | null;
}
export interface MapDevices {
    Id: string | null;
    Language: string | null;
    MiscObject: number | null;
    _index: number | null;
}
export interface MapFragmentMods {
    AchievementItemsKey: string | null;
    BaseItemTypesKey: number | null;
    Language: string | null;
    MapFragmentFamilies: number | null;
    ModsKeys: string | null;
    _index: number | null;
}
export interface MapInhabitants {
    Language: string | null;
    MonsterPacksKeys: string | null;
    StatsKey: number | null;
    _index: number | null;
}
export interface MapPins {
    Act: number | null;
    FlavourText: string | null;
    Id: string | null;
    Language: string | null;
    Name: string | null;
    PositionX: number | null;
    PositionY: number | null;
    Waypoint_WorldAreasKey: number | null;
    WorldAreasKeys: string | null;
    _index: number | null;
}
export interface MapPurchaseCosts {
    Cost: number | null;
    Language: string | null;
    Tier: number | null;
    _index: number | null;
}
export interface Maps {
    AchievementItem: number | null;
    BaseItemTypesKey: number | null;
    Language: string | null;
    MapSeriesKey: number | null;
    MapUpgrade_BaseItemTypesKey: number | null;
    MapsKey2: number | null;
    MapsKey3: number | null;
    MonsterPacksKeys: string | null;
    Regular_GuildCharacter: string | null;
    Regular_WorldAreasKey: number | null;
    Shaped_AreaLevel: number | null;
    Shaped_Base_MapsKey: number | null;
    Tier: number | null;
    Unique_GuildCharacter: string | null;
    Unique_WorldAreasKey: number | null;
    UpgradedFrom_MapsKey: number | null;
    _index: number | null;
}
export interface MapSeries {
    BaseIcon_DDSFile: string | null;
    Delirious_DDSFile: string | null;
    Drawn_DDSFile: string | null;
    Elder_DDSFile: string | null;
    Id: string | null;
    Infected_DDSFile: string | null;
    Language: string | null;
    Name: string | null;
    Shaper_DDSFile: string | null;
    UberBlight_DDSFile: string | null;
    _index: number | null;
}
export interface MapSeriesTiers {
    ArchnemesisTier: number | null;
    BetrayalTier: number | null;
    BlightTier: number | null;
    DeliriumTier: number | null;
    ExpeditionTier: number | null;
    HarvestTier: number | null;
    HeistTier: number | null;
    Language: string | null;
    LegionTier: number | null;
    MapWorldsTier: number | null;
    MapsKey: number | null;
    MetamorphosisTier: number | null;
    RitualTier: number | null;
    ScourgeTier: number | null;
    SentinelTier: number | null;
    SynthesisTier: number | null;
    _index: number | null;
}
export interface MapStashSpecialTypeEntries {
    Icon: string | null;
    Icon2: string | null;
    Id: string | null;
    IsElderGuardian: string | null;
    IsShaperGuardian: string | null;
    Language: string | null;
    MapItem: number | null;
    Name: string | null;
    _index: number | null;
}
export interface MapStashUniqueMapInfo {
    BaseItem: number | null;
    Language: string | null;
    UniqueMap: number | null;
    _index: number | null;
}
export interface MapStatConditions {
    Id: string | null;
    Language: string | null;
    StatMax: number | null;
    StatMin: number | null;
    StatsKey: number | null;
    _index: number | null;
}
export interface MapTierAchievements {
    AchievementItemsKey: string | null;
    Id: string | null;
    Language: string | null;
    MapTiers: string | null;
    _index: number | null;
}
export interface MapTiers {
    Language: string | null;
    Level: number | null;
    Level2: number | null;
    Tier: number | null;
    _index: number | null;
}
export interface MavenDialog {
    Id: string | null;
    Language: string | null;
    TextAudioT1: number | null;
    TextAudioT2: number | null;
    TextAudioT3: number | null;
    TextAudioT4: number | null;
    TextAudioT5: number | null;
    TextAudioT6: number | null;
    _index: number | null;
}
export interface MavenFights {
    AreaLevel: number | null;
    BaseItemType: number | null;
    CompletionAchievements: string | null;
    Id: string | null;
    Language: string | null;
    MinMapTier: number | null;
    WitnessAreas: string | null;
    WitnessesRequired: number | null;
    _index: number | null;
}
export interface MavenJewelRadiusKeystones {
    Keystone: number | null;
    Language: string | null;
    _index: number | null;
}
export interface Melee {
    ActiveSkill: number | null;
    Language: string | null;
    MeleeTrailsKey1: number | null;
    MeleeTrailsKey2: number | null;
    MeleeTrailsKey3: number | null;
    MeleeTrailsKey4: number | null;
    MeleeTrailsKey5: number | null;
    MeleeTrailsKey6: number | null;
    MeleeTrailsKey7: number | null;
    MiscAnimated: number | null;
    SurgeEffect_EPKFile: string | null;
    _index: number | null;
}
export interface MeleeTrails {
    AOFile: string | null;
    EPKFile1: string | null;
    EPKFile2: string | null;
    Language: string | null;
    _index: number | null;
}
export interface MetamorphLifeScalingPerLevel {
    Language: string | null;
    Level: number | null;
    MoreLife: number | null;
    _index: number | null;
}
export interface MetamorphosisMetaMonsters {
    Language: string | null;
    MonsterVarietiesKey: number | null;
    Name: string | null;
    _index: number | null;
}
export interface MetamorphosisMetaSkills {
    Animation: number | null;
    GrantedEffects: string | null;
    Language: string | null;
    MiscAnimations: string | null;
    Mods: string | null;
    Monster: number | null;
    Name: string | null;
    Script1: string | null;
    Script2: string | null;
    SkillType: number | null;
    Stats: string | null;
    StatsValues: string | null;
    _index: number | null;
}
export interface MetamorphosisMetaSkillTypes {
    AchievementItemsKeys: string | null;
    AvailableArt: string | null;
    BodypartName: string | null;
    BodypartNamePlural: string | null;
    Description: string | null;
    Id: string | null;
    ItemisedSample: number | null;
    Language: string | null;
    Name: string | null;
    UnavailableArt: string | null;
    _index: number | null;
}
export interface MetamorphosisRewardTypeItemsClient {
    Description: string | null;
    Language: string | null;
    MetamorphosisRewardTypesKey: number | null;
    _index: number | null;
}
export interface MetamorphosisRewardTypes {
    AchievementItemsKeys: string | null;
    Art: string | null;
    Id: string | null;
    Language: string | null;
    Name: string | null;
    _index: number | null;
}
export interface MetamorphosisScaling {
    Language: string | null;
    Level: number | null;
    Scaling_StatsKeys: string | null;
    Scaling_Values: string | null;
    StatValueMultiplier: string | null;
    _index: number | null;
}
export interface MetamorphosisStashTabLayout {
    BackgroundImage: string | null;
    BaseItemTypesKey: number | null;
    ButtonImage: string | null;
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface MicroMigrationData {
    BaseItemTypesKey: number | null;
    Language: string | null;
    _index: number | null;
}
export interface MicrotransactionCategory {
    Id: string | null;
    Language: string | null;
    Name: string | null;
    _index: number | null;
}
export interface MicrotransactionCharacterPortraitVariations {
    BaseItemType: number | null;
    Language: string | null;
    _index: number | null;
}
export interface MicrotransactionCombineFormula {
    BK2File: string | null;
    Id: string | null;
    Ingredients_BaseItemTypesKeys: string | null;
    Language: string | null;
    Result_BaseItemTypesKey: number | null;
    _index: number | null;
}
export interface MicrotransactionFireworksVariations {
    AOFile: string | null;
    BaseItemTypesKey: number | null;
    Language: string | null;
    _index: number | null;
}
export interface MicrotransactionPeriodicCharacterEffectVariations {
    AOFile: string | null;
    Id: string | null;
    Language: string | null;
    MiscObject: number | null;
    _index: number | null;
}
export interface MicrotransactionPortalVariations {
    AOFile: string | null;
    BaseItemTypesKey: number | null;
    Id: number | null;
    Language: string | null;
    MapAOFile: string | null;
    MiscObject: number | null;
    PortalEffect: string | null;
    PortalEffectLarge: string | null;
    _index: number | null;
}
export interface MicrotransactionRarityDisplay {
    ImageFile: string | null;
    Language: string | null;
    Rarity: string | null;
    _index: number | null;
}
export interface MicrotransactionRecycleSalvageValues {
    BaseItemType: number | null;
    Language: string | null;
    _index: number | null;
}
export interface MicrotransactionSlot {
    Id: string | null;
    Language: string | null;
    Name: string | null;
    _index: number | null;
}
export interface MicrotransactionSocialFrameVariations {
    BK2File: string | null;
    BaseItemTypesKey: number | null;
    Id: number | null;
    Language: string | null;
    _index: number | null;
}
export interface MinimapIcons {
    Id: string | null;
    Language: string | null;
    LargemapIconRadius: number | null;
    MinimapIconPointerMaxDistance: number | null;
    MinimapIconRadius: number | null;
    _index: number | null;
}
export interface MiscAnimated {
    AOFile: string | null;
    Id: string | null;
    Language: string | null;
    PreloadGroupsKeys: string | null;
    _index: number | null;
}
export interface MiscAnimatedArtVariations {
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface MiscBeams {
    Id: string | null;
    Language: string | null;
    MiscAnimated: number | null;
    PreloadGroupsKeys: string | null;
    _index: number | null;
}
export interface MiscBeamsArtVariations {
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface MiscEffectPacks {
    EPKFile: string | null;
    Id: string | null;
    Language: string | null;
    PlayerOnly_EPKFile: string | null;
    PreloadGroups: string | null;
    _index: number | null;
}
export interface MiscObjects {
    EffectVirtualPath: string | null;
    Id: string | null;
    Language: string | null;
    PreloadGroupsKeys: string | null;
    _index: number | null;
}
export interface MissionTimerTypes {
    BackgroundImage: string | null;
    Id: string | null;
    Image: string | null;
    Language: string | null;
    _index: number | null;
}
export interface MissionTransitionTiles {
    Id: string | null;
    Language: string | null;
    TDTFile: string | null;
    _index: number | null;
}
export interface ModEffectStats {
    Language: string | null;
    StatsKey: number | null;
    TagsKeys: string | null;
    _index: number | null;
}
export interface ModEquivalencies {
    Id: string | null;
    Language: string | null;
    ModsKey0: number | null;
    ModsKey1: number | null;
    ModsKey2: number | null;
    _index: number | null;
}
export interface ModFamily {
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface Mods {
    AchievementItemsKey: string | null;
    ArchnemesisMinionMod: number | null;
    BuffTemplate: number | null;
    ChestModType: string | null;
    CraftingItemClassRestrictions: string | null;
    Domain: string | null;
    Families: string | null;
    FullAreaClear_AchievementItemsKey: string | null;
    GenerationType: string | null;
    GenerationWeight_TagsKeys: string | null;
    GenerationWeight_Values: string | null;
    GrantedEffectsPerLevelKeys: string | null;
    HASH16: number | null;
    HASH32: number | null;
    Heist_AddStatValue1: number | null;
    Heist_AddStatValue2: number | null;
    Heist_StatsKey0: number | null;
    Heist_StatsKey1: number | null;
    Heist_SubStatValue1: number | null;
    Heist_SubStatValue2: number | null;
    Id: string | null;
    ImplicitTagsKeys: string | null;
    InfluenceTypes: string | null;
    IsEssenceOnlyModifier: string | null;
    Language: string | null;
    Level: number | null;
    MaxLevel: number | null;
    ModTypeKey: number | null;
    ModifyMapsAchievements: string | null;
    MonsterKillAchievements: string | null;
    MonsterMetadata: string | null;
    MonsterOnDeath: string | null;
    Name: string | null;
    SpawnWeight_TagsKeys: string | null;
    SpawnWeight_Values: string | null;
    Stat1Max: number | null;
    Stat1Min: number | null;
    Stat2Max: number | null;
    Stat2Min: number | null;
    Stat3Max: number | null;
    Stat3Min: number | null;
    Stat4Max: number | null;
    Stat4Min: number | null;
    Stat5Max: number | null;
    Stat5Min: number | null;
    Stat6Max: number | null;
    Stat6Min: number | null;
    StatsKey1: number | null;
    StatsKey2: number | null;
    StatsKey3: number | null;
    StatsKey4: number | null;
    StatsKey5: number | null;
    StatsKey6: number | null;
    TagsKeys: string | null;
    _index: number | null;
}
export interface ModSellPriceTypes {
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface ModType {
    Language: string | null;
    ModSellPriceTypesKeys: string | null;
    Name: string | null;
    _index: number | null;
}
export interface MonsterArmours {
    ArtString_SMFile: string | null;
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface MonsterBonuses {
    Id: string | null;
    Language: string | null;
    StatValues: string | null;
    StatsKeys: string | null;
    _index: number | null;
}
export interface MonsterConditionalEffectPacks {
    Id: string | null;
    Language: string | null;
    MiscEffectPack1: string | null;
    MiscEffectPack2: string | null;
    MiscEffectPack3: string | null;
    MiscEffectPack4: string | null;
    _index: number | null;
}
export interface MonsterConditions {
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface MonsterDeathAchievements {
    AchievementItemsKeys: string | null;
    Id: string | null;
    Language: string | null;
    MonsterDeathConditionsKeys: string | null;
    MonsterVarietiesKeys: string | null;
    MultiPartAchievementConditionsKeys: string | null;
    NearbyMonsterConditionsKeys: string | null;
    PlayerConditionsKeys: string | null;
    _index: number | null;
}
export interface MonsterGroupEntries {
    Id: string | null;
    Language: string | null;
    MonsterGroupNamesId: number | null;
    MonsterVarietiesKey: number | null;
    _index: number | null;
}
export interface MonsterHeightBrackets {
    BuffVisuals1: number | null;
    BuffVisuals2: number | null;
    Id: string | null;
    Language: string | null;
    Tag: number | null;
    _index: number | null;
}
export interface MonsterHeights {
    Language: string | null;
    MonsterHeightBracket: number | null;
    MonsterVariety: number | null;
    _index: number | null;
}
export interface MonsterMapBossDifficulty {
    Language: string | null;
    MapLevel: number | null;
    Stat1Value: number | null;
    Stat2Value: number | null;
    Stat3Value: number | null;
    Stat4Value: number | null;
    Stat5Value: number | null;
    StatsKey1: number | null;
    StatsKey2: number | null;
    StatsKey3: number | null;
    StatsKey4: number | null;
    StatsKey5: number | null;
    _index: number | null;
}
export interface MonsterMapDifficulty {
    Language: string | null;
    MapLevel: number | null;
    Stat1Value: number | null;
    Stat2Value: number | null;
    Stat3Value: number | null;
    Stat4Value: number | null;
    StatsKey1: number | null;
    StatsKey2: number | null;
    StatsKey3: number | null;
    StatsKey4: number | null;
    _index: number | null;
}
export interface MonsterMortar {
    Id: number | null;
    Language: string | null;
    _index: number | null;
}
export interface MonsterPackEntries {
    Id: string | null;
    Language: string | null;
    MonsterPacksKey: number | null;
    MonsterVarietiesKey: number | null;
    _index: number | null;
}
export interface MonsterPacks {
    BossMonsterCount: number | null;
    BossMonsterSpawnChance: number | null;
    BossMonster_MonsterVarietiesKeys: string | null;
    Id: string | null;
    Language: string | null;
    MaxLevel: number | null;
    MinLevel: number | null;
    PackFormation: number | null;
    TagsKeys: string | null;
    WorldAreas2: string | null;
    WorldAreasKeys: string | null;
    _index: number | null;
}
export interface MonsterProjectileAttack {
    Id: number | null;
    Language: string | null;
    Projectile: number | null;
    _index: number | null;
}
export interface MonsterProjectileSpell {
    Animation: number | null;
    Id: number | null;
    Language: string | null;
    Projectile: number | null;
    _index: number | null;
}
export interface MonsterResistances {
    ChaosCruel: number | null;
    ChaosMerciless: number | null;
    ChaosNormal: number | null;
    ColdCruel: number | null;
    ColdMerciless: number | null;
    ColdNormal: number | null;
    FireCruel: number | null;
    FireMerciless: number | null;
    FireNormal: number | null;
    Id: string | null;
    Language: string | null;
    LightningCruel: number | null;
    LightningMerciless: number | null;
    LightningNormal: number | null;
    _index: number | null;
}
export interface MonsterSegments {
    Id: string | null;
    Language: string | null;
    Shapes: string | null;
    _index: number | null;
}
export interface MonsterSpawnerGroups {
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface MonsterSpawnerGroupsPerLevel {
    Language: string | null;
    MinLevel: number | null;
    MonsterSpawnerGroupsKey: number | null;
    _index: number | null;
}
export interface MonsterSpawnerOverrides {
    Base_MonsterVarietiesKey: number | null;
    Language: string | null;
    Override_MonsterVarietiesKey: number | null;
    _index: number | null;
}
export interface MonsterTypes {
    Armour: number | null;
    DamageSpread: number | null;
    EnergyShieldFromLife: number | null;
    Evasion: number | null;
    Id: string | null;
    IsLargeAbyssMonster: string | null;
    IsSmallAbyssMonster: string | null;
    IsSummoned: string | null;
    Language: string | null;
    MonsterResistancesKey: number | null;
    _index: number | null;
}
export interface MonsterVarieties {
    ACTFiles: string | null;
    AISFile: string | null;
    AOFiles: string | null;
    AttackSpeed: number | null;
    Back_ItemVisualIdentityKey: number | null;
    BaseMonsterTypeIndex: string | null;
    CriticalStrikeChance: number | null;
    DamageMultiplier: number | null;
    EPKFile: string | null;
    Endgame_ModsKeys: string | null;
    ExperienceMultiplier: number | null;
    GrantedEffectsKeys: string | null;
    Helmet_ItemVisualIdentityKey: number | null;
    Id: string | null;
    KillRare_AchievementItemsKeys: string | null;
    KillSpecificMonsterCount_AchievementItemsKeys: string | null;
    KillWhileOnslaughtIsActive_AchievementItemsKey: number | null;
    KillWhileTalismanIsActive_AchievementItemsKey: number | null;
    Language: string | null;
    LifeMultiplier: number | null;
    MainHand_ItemClassesKey: number | null;
    MaximumAttackDistance: number | null;
    MinimumAttackDistance: number | null;
    ModelSizeMultiplier: number | null;
    ModsKeys: string | null;
    ModsKeys2: string | null;
    MonsterArmoursKey: number | null;
    MonsterConditionalEffectPacksKey: number | null;
    MonsterSegmentsKey: number | null;
    MonsterTypesKey: number | null;
    Name: string | null;
    ObjectSize: number | null;
    OffHand_ItemClassesKey: number | null;
    Part1_ModsKeys: string | null;
    Part2_ModsKeys: string | null;
    SinkAnimation_AOFile: string | null;
    Special_ModsKeys: string | null;
    Stance: string | null;
    TagsKeys: string | null;
    Weapon1_ItemVisualIdentityKeys: string | null;
    Weapon2_ItemVisualIdentityKeys: string | null;
    _index: number | null;
}
export interface MonsterVarietiesArtVariations {
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface MouseCursorSizeSettings {
    Description: string | null;
    Language: string | null;
    Ratio: string | null;
    Size: string | null;
    _index: number | null;
}
export interface MTXSetBonus {
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface MultiPartAchievementConditions {
    Id: string | null;
    Language: string | null;
    MultiPartAchievementsKey1: number | null;
    MultiPartAchievementsKey2: number | null;
    _index: number | null;
}
export interface MultiPartAchievements {
    AchievementItemsKey: number | null;
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface Music {
    BankFile: string | null;
    Id: string | null;
    IsAvailableInHideout: string | null;
    Language: string | null;
    MusicCategories: string | null;
    Name: string | null;
    SoundFile: string | null;
    _index: number | null;
}
export interface MusicCategories {
    Id: string | null;
    Language: string | null;
    Name: string | null;
    Order: number | null;
    _index: number | null;
}
export interface MysteryBoxes {
    BK2File: string | null;
    BaseItemTypesKey: number | null;
    BoxId: string | null;
    BundleId: string | null;
    Language: string | null;
    _index: number | null;
}
export interface NearbyMonsterConditions {
    Id: string | null;
    IsLessThen: string | null;
    IsNegated: string | null;
    Language: string | null;
    MinimumHealthPercentage: number | null;
    MonsterAmount: number | null;
    MonsterVarietiesKeys: string | null;
    _index: number | null;
}
export interface NetTiers {
    BaseItemTypesKey: number | null;
    Language: string | null;
    Tier: number | null;
    _index: number | null;
}
export interface Notifications {
    Id: string | null;
    Language: string | null;
    Message: string | null;
    _index: number | null;
}
export interface NPCAudio {
    Id: string | null;
    Language: string | null;
    VolumePercentage: number | null;
    _index: number | null;
}
export interface NPCConversations {
    DialogueEvent: number | null;
    Id: string | null;
    Language: string | null;
    NPCTextAudioKeys: string | null;
    _index: number | null;
}
export interface NPCDialogueStyles {
    BannerFiles: string | null;
    ButtomFile: string | null;
    HeaderBaseFile: string | null;
    HeaderFiles: string | null;
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface NPCFollowerVariations {
    Language: string | null;
    MiscAnimatedKey0: number | null;
    MiscAnimatedKey1: number | null;
    MonsterVarietiesKey: number | null;
    _index: number | null;
}
export interface NPCMaster {
    AreaDescription: string | null;
    HasAreaMissions: string | null;
    Id: string | null;
    Language: string | null;
    Signature_ModsKey: number | null;
    SpawnWeight_TagsKeys: string | null;
    SpawnWeight_Values: string | null;
    _index: number | null;
}
export interface NPCPortraits {
    Language: string | null;
    Name: string | null;
    PortraitFile: string | null;
    _index: number | null;
}
export interface NPCs {
    DialogueStyle: number | null;
    Id: string | null;
    Language: string | null;
    Metadata: string | null;
    NPCAudios1: string | null;
    NPCAudios2: string | null;
    NPCMasterKey: number | null;
    NPCShop: number | null;
    Name: string | null;
    Portrait: number | null;
    ShortName: string | null;
    _index: number | null;
}
export interface NPCShop {
    Id: string | null;
    Language: string | null;
    SoldItem_TagsKeys: string | null;
    SoldItem_Weights: string | null;
    _index: number | null;
}
export interface NPCTalkConsoleQuickActions {
    Controller: string | null;
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface NPCTextAudio {
    CharactersKey: number | null;
    HasStereo: string | null;
    Id: string | null;
    Language: string | null;
    Mono_AudioFile: string | null;
    Stereo_AudioFile: string | null;
    Text: string | null;
    Video: string | null;
    _index: number | null;
}
export interface OnKillAchievements {
    GameStat: number | null;
    Language: string | null;
    MonsterVarietiesKey: number | null;
    _index: number | null;
}
export interface PackFormation {
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface PantheonSouls {
    CapturedMonster: number | null;
    CapturedVessel: number | null;
    Language: string | null;
    PanelLayout: number | null;
    QuestFlag: number | null;
    WorldArea: number | null;
    _index: number | null;
}
export interface PassiveJewelRadii {
    ID: string | null;
    Language: string | null;
    Radius: number | null;
    RingInnerRadius: number | null;
    RingOuterRadius: number | null;
    _index: number | null;
}
export interface PassiveJewelSlots {
    ClusterJewelSize: number | null;
    Language: string | null;
    ProxySlot: number | null;
    ReplacesSlot: number | null;
    Slot: number | null;
    StartIndices: string | null;
    _index: number | null;
}
export interface PassiveSkillFilterCatagories {
    Id: string | null;
    Language: string | null;
    Name: string | null;
    _index: number | null;
}
export interface PassiveSkillFilterOptions {
    Id: string | null;
    Language: string | null;
    Name: string | null;
    _index: number | null;
}
export interface PassiveSkillMasteryEffects {
    AchievementItem: number | null;
    HASH16: number | null;
    Id: string | null;
    Language: string | null;
    Stat1Value: number | null;
    Stat2Value: number | null;
    Stat3Value: number | null;
    Stats: string | null;
    _index: number | null;
}
export interface PassiveSkillMasteryGroups {
    ActiveEffectImage: string | null;
    ActiveIcon: string | null;
    Id: string | null;
    InactiveIcon: string | null;
    Language: string | null;
    MasteryCountStat: number | null;
    MasteryEffects: string | null;
    SoundEffect: number | null;
    _index: number | null;
}
export interface PassiveSkills {
    AchievementItem: number | null;
    AscendancyKey: number | null;
    Characters: string | null;
    FlavourText: string | null;
    GrantedEffectsPerLevel: number | null;
    Icon_DDSFile: string | null;
    Id: string | null;
    IsAnointmentOnly: string | null;
    IsAscendancyStartingNode: string | null;
    IsExpansion: string | null;
    IsJewelSocket: string | null;
    IsJustIcon: string | null;
    IsKeystone: string | null;
    IsMultipleChoice: string | null;
    IsMultipleChoiceOption: string | null;
    IsNotable: string | null;
    IsProxyPassive: string | null;
    Language: string | null;
    MasteryGroup: number | null;
    Name: string | null;
    PassiveSkillBuffs: string | null;
    PassiveSkillGraphId: number | null;
    ReminderStrings: string | null;
    SkillPointsGranted: number | null;
    SkillType: string | null;
    SoundEffect: number | null;
    Stat1Value: number | null;
    Stat2Value: number | null;
    Stat3Value: number | null;
    Stat4Value: number | null;
    Stat5Value: number | null;
    Stats: string | null;
    _index: number | null;
}
export interface PassiveSkillStatCategories {
    Id: string | null;
    Language: string | null;
    Name: string | null;
    _index: number | null;
}
export interface PassiveSkillTrees {
    Id: string | null;
    Language: string | null;
    PassiveSkillGraph: string | null;
    UIArt: number | null;
    _index: number | null;
}
export interface PassiveSkillTreeTutorial {
    CharactersKey: number | null;
    ChoiceA_Description: string | null;
    ChoiceA_PassiveTreeURL: string | null;
    ChoiceB_Description: string | null;
    ChoiceB_PassiveTreeURL: string | null;
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface PassiveSkillTreeUIArt {
    GroupBackgroundLarge: string | null;
    GroupBackgroundLargeBlank: string | null;
    GroupBackgroundMedium: string | null;
    GroupBackgroundMediumBlank: string | null;
    GroupBackgroundSmall: string | null;
    GroupBackgroundSmallBlank: string | null;
    Id: string | null;
    KeystoneCanAllocate: string | null;
    KeystoneFrameActive: string | null;
    KeystoneFrameNormal: string | null;
    Language: string | null;
    NotableFrameActive: string | null;
    NotableFrameCanAllocate: string | null;
    NotableFrameNormal: string | null;
    Ornament: string | null;
    PassiveFrameActive: string | null;
    PassiveFrameCanAllocate: string | null;
    PassiveFrameNormal: string | null;
    _index: number | null;
}
export interface PassiveTreeExpansionJewels {
    BaseItemTypesKey: number | null;
    Language: string | null;
    MaxNodes: number | null;
    MinNodes: number | null;
    NotableIndices: string | null;
    PassiveTreeExpansionJewelSizesKey: number | null;
    SmallIndices: string | null;
    SocketIndices: string | null;
    TotalIndices: number | null;
    _index: number | null;
}
export interface PassiveTreeExpansionJewelSizes {
    Language: string | null;
    Name: string | null;
    _index: number | null;
}
export interface PassiveTreeExpansionSkills {
    Language: string | null;
    Mastery_PassiveSkillsKey: number | null;
    PassiveSkillsKey: number | null;
    PassiveTreeExpansionJewelSizesKey: number | null;
    TagsKey: number | null;
    _index: number | null;
}
export interface PassiveTreeExpansionSpecialSkills {
    Language: string | null;
    PassiveSkillsKey: number | null;
    StatsKey: number | null;
    _index: number | null;
}
export interface Pet {
    BaseItemTypesKey: number | null;
    HASH16: number | null;
    HASH32: number | null;
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface PlayerConditions {
    BuffDefinitionsKeys: string | null;
    BuffStacks: number | null;
    CharactersKey: number | null;
    Id: string | null;
    Language: string | null;
    StatValue: number | null;
    StatsKeys: string | null;
    _index: number | null;
}
export interface PlayerTradeWhisperFormats {
    Id: string | null;
    InStash: string | null;
    IsPriced: string | null;
    Language: string | null;
    Whisper: string | null;
    _index: number | null;
}
export interface PreloadGroups {
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface PrimordialBossLifeScalingPerLevel {
    AreaLevel: number | null;
    Language: string | null;
    Scale: number | null;
    _index: number | null;
}
export interface Projectiles {
    AOFiles: string | null;
    Bounce_AOFile: string | null;
    Id: string | null;
    ImpactAnimationIds: string | null;
    InheritsFrom: string | null;
    Language: string | null;
    LoopAnimationIds: string | null;
    ProjectileSpeed: number | null;
    Stuck_AOFile: string | null;
    _index: number | null;
}
export interface ProjectilesArtVariations {
    Language: string | null;
    Projectile: string | null;
    Variant: number | null;
    _index: number | null;
}
export interface PVPTypes {
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface Quest {
    Act: number | null;
    Icon_DDSFile: string | null;
    Id: string | null;
    Language: string | null;
    Name: string | null;
    QuestId: number | null;
    TrackerGroup: number | null;
    Type: number | null;
    _index: number | null;
}
export interface QuestAchievements {
    AchievementItems: string | null;
    Id: string | null;
    Language: string | null;
    NPCs: string | null;
    QuestStates: string | null;
    _index: number | null;
}
export interface QuestFlags {
    HASH32: number | null;
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface QuestItems {
    Item: number | null;
    Language: string | null;
    Script: string | null;
    _index: number | null;
}
export interface QuestRewardOffers {
    Id: string | null;
    Language: string | null;
    QuestKey: number | null;
    RewardWindowTake: number | null;
    RewardWindowTitle: number | null;
    _index: number | null;
}
export interface QuestRewards {
    Characters: string | null;
    Language: string | null;
    Reward: number | null;
    RewardLevel: number | null;
    RewardOffer: number | null;
    RewardStack: number | null;
    _index: number | null;
}
export interface QuestStates {
    Language: string | null;
    MapPinsKeys1: string | null;
    MapPinsKeys2: string | null;
    MapPinsTexts: string | null;
    Message: string | null;
    QuestKey: number | null;
    QuestStates: string | null;
    SoundEffect: number | null;
    Text: string | null;
    _index: number | null;
}
export interface QuestStaticRewards {
    ClientStringsKey: number | null;
    Language: string | null;
    QuestKey: number | null;
    StatValues: string | null;
    StatsKeys: string | null;
    _index: number | null;
}
export interface QuestTrackerGroup {
    Id: string | null;
    Language: string | null;
    Name: string | null;
    QuestType: number | null;
    _index: number | null;
}
export interface QuestType {
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface Races {
    Id: string | null;
    Language: string | null;
    Mods: string | null;
    _index: number | null;
}
export interface RaceTimes {
    EndUNIXTime: number | null;
    Index: number | null;
    Language: string | null;
    RacesKey: number | null;
    StartUNIXTime: number | null;
    _index: number | null;
}
export interface RareMonsterLifeScalingPerLevel {
    Language: string | null;
    Level: number | null;
    Life: number | null;
    _index: number | null;
}
export interface Rarity {
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface Realms {
    Id: string | null;
    IsEnabled: string | null;
    IsGammaRealm: string | null;
    Language: string | null;
    Name: string | null;
    Server: string | null;
    Server2: string | null;
    ShortName: string | null;
    SpeedtestUrl: string | null;
    _index: number | null;
}
export interface RecipeUnlockDisplay {
    CraftingItemClassCategoriesKeys: string | null;
    Description: string | null;
    Language: string | null;
    Rank: number | null;
    RecipeId: number | null;
    UnlockArea: number | null;
    UnlockDescription: string | null;
    _index: number | null;
}
export interface RecipeUnlockObjects {
    InheritsFrom: string | null;
    Language: string | null;
    RecipeId: number | null;
    WorldAreasKey: number | null;
    _index: number | null;
}
export interface RitualBalancePerLevel {
    Language: string | null;
    MinLevel: number | null;
    _index: number | null;
}
export interface RitualConstants {
    Id: string | null;
    Language: string | null;
    Value: string | null;
    _index: number | null;
}
export interface RitualRuneTypes {
    Achievements: string | null;
    BuffDefinitionsKey: number | null;
    DaemonSpawningDataKey: number | null;
    Description: string | null;
    EnvironmentsKey: number | null;
    Id: string | null;
    Language: string | null;
    LevelMax: number | null;
    LevelMin: number | null;
    MiscAnimatedKey1: number | null;
    MiscAnimatedKey2: number | null;
    ModsKey: string | null;
    SpawnPatterns: string | null;
    SpawnWeight: number | null;
    Type: string | null;
    _index: number | null;
}
export interface RitualSetKillAchievements {
    Achievement: number | null;
    KillBosses: string | null;
    Language: string | null;
    _index: number | null;
}
export interface RitualSpawnPatterns {
    Id: string | null;
    Language: string | null;
    SpawnOrder: string | null;
    _index: number | null;
}
export interface RogueExiles {
    Language: string | null;
    MonsterVarietiesKey: number | null;
    _index: number | null;
}
export interface Rulesets {
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface SafehouseBYOCrafting {
    BetrayalJobsKey: number | null;
    BetrayalTargetsKey: number | null;
    Description: string | null;
    Language: string | null;
    Rank: number | null;
    ServerCommand: string | null;
    _index: number | null;
}
export interface SafehouseCraftingSpree {
    BetrayalJobsKey: number | null;
    Chance: number | null;
    CurrencyCount: string | null;
    Currency_SafehouseCraftingSpreeCurrenciesKeys: string | null;
    Language: string | null;
    Rank: number | null;
    _index: number | null;
}
export interface SafehouseCraftingSpreeCurrencies {
    BaseItemTypesKey: number | null;
    HasSpecificBaseItem: string | null;
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface SalvageBoxes {
    BaseItemType: number | null;
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface Scarabs {
    BaseItemTypesKey: number | null;
    Language: string | null;
    ScarabType: number | null;
    Tier: number | null;
    _index: number | null;
}
export interface ScoutingReports {
    BaseItemType: number | null;
    Id: string | null;
    Language: string | null;
    MinMapTier: number | null;
    _index: number | null;
}
export interface SentinelCraftingCurrency {
    Currency: number | null;
    Language: string | null;
    Type: number | null;
    _index: number | null;
}
export interface SentinelDroneInventoryLayout {
    DroneType: number | null;
    Language: string | null;
    _index: number | null;
}
export interface SentinelPassives {
    HASH16: number | null;
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface SentinelPassiveTypes {
    ActiveIcon: string | null;
    DefaultIcon: string | null;
    DroneType: number | null;
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface SentinelStorageLayout {
    DroneType: number | null;
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface SentinelTaggedMonsterStats {
    Language: string | null;
    TaggedStat: number | null;
    _index: number | null;
}
export interface SessionQuestFlags {
    Language: string | null;
    QuestFlag: number | null;
    _index: number | null;
}
export interface ShaperGuardians {
    Id: string | null;
    Language: string | null;
    WorldArea: number | null;
    _index: number | null;
}
export interface ShieldTypes {
    BaseItemTypesKey: number | null;
    Block: number | null;
    Language: string | null;
    _index: number | null;
}
export interface ShopTag {
    Category: number | null;
    Id: string | null;
    IsCategory: string | null;
    Language: string | null;
    Name: string | null;
    SkillGem: string | null;
    _index: number | null;
}
export interface Shrines {
    AchievementItemsKeys: string | null;
    ChargesShared: string | null;
    Description: number | null;
    Id: string | null;
    IsLesserShrine: string | null;
    IsPVPOnly: string | null;
    Language: string | null;
    Monster_ShrineBuffsKey: number | null;
    Name: number | null;
    Player_ShrineBuffsKey: number | null;
    ShrineSoundsKey: number | null;
    SummonMonster_MonsterVarietiesKey: number | null;
    SummonPlayer_MonsterVarietiesKey: number | null;
    TimeoutInSeconds: number | null;
    _index: number | null;
}
export interface ShrineSounds {
    Id: string | null;
    Language: string | null;
    MonoSoundFile: string | null;
    StereoSoundFile: string | null;
    _index: number | null;
}
export interface SigilDisplay {
    Active_ArtFile: string | null;
    Active_StatsKey: number | null;
    DDSFile: string | null;
    Frame_ArtFile: string | null;
    Id: string | null;
    Inactive_ArtFile: string | null;
    Inactive_StatsKey: number | null;
    Language: string | null;
    _index: number | null;
}
export interface SingleGroundLaser {
    Id: number | null;
    Language: string | null;
    _index: number | null;
}
export interface SkillArtVariations {
    Id: string | null;
    Language: string | null;
    Variants: string | null;
    _index: number | null;
}
export interface SkillGemInfo {
    CharactersKeys: string | null;
    Description: string | null;
    Id: string | null;
    Language: string | null;
    SkillGemsKey: number | null;
    VideoURL1: string | null;
    VideoURL2: string | null;
    _index: number | null;
}
export interface SkillGems {
    AwakenedVariant: number | null;
    BaseItemTypesKey: number | null;
    Consumed_ModsKey: number | null;
    Description: string | null;
    Dex: number | null;
    GemTagsKeys: string | null;
    GrantedEffectsKey: number | null;
    GrantedEffectsKey2: number | null;
    Int: number | null;
    IsVaalVariant: string | null;
    Language: string | null;
    MinionGlobalSkillLevelStat: number | null;
    RegularVariant: number | null;
    Str: number | null;
    SupportSkillName: string | null;
    VaalVariant_BaseItemTypesKey: number | null;
    _index: number | null;
}
export interface SkillMineVariations {
    Language: string | null;
    MiscObject: number | null;
    SkillMinesKey: number | null;
    _index: number | null;
}
export interface SkillMorphDisplay {
    DDSFiles: string | null;
    Language: string | null;
    _index: number | null;
}
export interface SkillSurgeEffects {
    GrantedEffectsKey: number | null;
    Language: string | null;
    MiscAnimated: number | null;
    _index: number | null;
}
export interface SkillTotemVariations {
    Language: string | null;
    MonsterVarietiesKey: number | null;
    SkillTotemsKey: string | null;
    TotemSkinId: number | null;
    _index: number | null;
}
export interface SkillTrapVariations {
    Id: number | null;
    Language: string | null;
    Metadata: string | null;
    MiscAnimated: number | null;
    _index: number | null;
}
export interface SocketNotches {
    BlueSocketImage: string | null;
    Description: string | null;
    GreenSocketImage: string | null;
    Id: string | null;
    Language: string | null;
    RedSocketImage: string | null;
    _index: number | null;
}
export interface SoundEffects {
    Id: string | null;
    Language: string | null;
    SoundFile: string | null;
    SoundFile_2D: string | null;
    _index: number | null;
}
export interface SpawnAdditionalChestsOrClusters {
    ChestClustersKey: number | null;
    ChestsKey: number | null;
    Language: string | null;
    StatsKey: number | null;
    _index: number | null;
}
export interface SpecialRooms {
    ARMFile: string | null;
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface SpecialTiles {
    Id: string | null;
    Language: string | null;
    TDTFile: string | null;
    _index: number | null;
}
export interface SpectreOverrides {
    Language: string | null;
    Monster: number | null;
    Spectre: number | null;
    _index: number | null;
}
export interface StartingPassiveSkills {
    Id: string | null;
    Language: string | null;
    PassiveSkills: string | null;
    _index: number | null;
}
export interface StashTabAffinities {
    Language: string | null;
    Name: string | null;
    ShowInStashes: string | null;
    SpecializedStash: string | null;
    _index: number | null;
}
export interface StashType {
    Height: number | null;
    Id: string | null;
    Id2: string | null;
    IntId: number | null;
    Language: string | null;
    Width: number | null;
    _index: number | null;
}
export interface StatDescriptionFunctions {
    Id: string | null;
    Language: string | null;
    TranslationId: string | null;
    _index: number | null;
}
export interface Stats {
    BelongsActiveSkillsKey: string | null;
    Category: number | null;
    ContextFlags: string | null;
    HASH32: number | null;
    Id: string | null;
    IsLocal: string | null;
    IsScalable: string | null;
    IsVirtual: string | null;
    IsWeaponLocal: string | null;
    Language: string | null;
    MainHandAlias_StatsKey: number | null;
    OffHandAlias_StatsKey: number | null;
    Semantics: string | null;
    Text: string | null;
    _index: number | null;
}
export interface Strongboxes {
    ChestsKey: number | null;
    IsCartographerBox: string | null;
    Language: string | null;
    SpawnWeight: number | null;
    SpawnWeightIncrease: number | null;
    _index: number | null;
}
export interface SuicideExplosion {
    Id: number | null;
    Language: string | null;
    _index: number | null;
}
export interface SummonedSpecificBarrels {
    Chest: number | null;
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface SummonedSpecificMonsters {
    Id: number | null;
    Language: string | null;
    MonsterVarietiesKey: number | null;
    _index: number | null;
}
export interface SummonedSpecificMonstersOnDeath {
    Id: string | null;
    Language: string | null;
    MonsterVarietiesKey: number | null;
    _index: number | null;
}
export interface SurgeEffects {
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface SurgeTypes {
    Id: string | null;
    IntId: number | null;
    Language: string | null;
    SurgeEffects: string | null;
    _index: number | null;
}
export interface SynthesisAreas {
    AchievementItemsKey: number | null;
    ArtFile: string | null;
    Id: string | null;
    Language: string | null;
    MaxLevel: number | null;
    MinLevel: number | null;
    MonsterPacksKeys: string | null;
    Name: string | null;
    SynthesisAreaSizeKey: number | null;
    TopologiesKey: number | null;
    Weight: number | null;
    _index: number | null;
}
export interface SynthesisAreaSize {
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface SynthesisBonuses {
    Language: string | null;
    ModsKey: number | null;
    _index: number | null;
}
export interface SynthesisBrackets {
    Language: string | null;
    MaxLevel: number | null;
    MinLevel: number | null;
    WorldAreasKey1: number | null;
    WorldAreasKey2: number | null;
    _index: number | null;
}
export interface SynthesisFragmentDialogue {
    Language: string | null;
    NPCTextAudioKey1: number | null;
    NPCTextAudioKey2: number | null;
    NPCTextAudioKey3: number | null;
    NPCTextAudioKey4: number | null;
    NPCTextAudioKey5: number | null;
    NPCTextAudioKey6: number | null;
    _index: number | null;
}
export interface SynthesisGlobalMods {
    Language: string | null;
    MaxLevel: number | null;
    MinLevel: number | null;
    ModsKey: number | null;
    Weight: number | null;
    _index: number | null;
}
export interface SynthesisMonsterExperiencePerLevel {
    ExperienceBonus: number | null;
    Language: string | null;
    Level: number | null;
    _index: number | null;
}
export interface SynthesisRewardCategories {
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface SynthesisRewardTypes {
    AchievementItemsKey: number | null;
    ArtFile: string | null;
    Description: string | null;
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface TableMonsterSpawners {
    AreaLevel: number | null;
    Language: string | null;
    Metadata: string | null;
    Script1: string | null;
    Script2: string | null;
    SpawnsMonsters: string | null;
    _index: number | null;
}
export interface Tags {
    DisplayString: string | null;
    Id: string | null;
    Language: string | null;
    Name: string | null;
    _index: number | null;
}
export interface TalismanMonsterMods {
    Language: string | null;
    ModTypeKey: number | null;
    ModsKey: number | null;
    _index: number | null;
}
export interface TalismanPacks {
    Id: string | null;
    Language: string | null;
    MonsterPacksKey: number | null;
    MonsterPacksKeys: string | null;
    MonsterVarietiesKey: number | null;
    _index: number | null;
}
export interface Talismans {
    BaseItemTypesKey: number | null;
    Language: string | null;
    ModsKey: number | null;
    SpawnWeight: number | null;
    Tier: number | null;
    _index: number | null;
}
export interface TalkingPetAudioEvents {
    Event: string | null;
    Language: string | null;
    _index: number | null;
}
export interface TencentAutoLootPetCurrencies {
    BaseItemTypesKey: number | null;
    Language: string | null;
    _index: number | null;
}
export interface TencentAutoLootPetCurrenciesExcludable {
    BaseItemTypesKey: number | null;
    Language: string | null;
    _index: number | null;
}
export interface TerrainPlugins {
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface Tips {
    Id: string | null;
    Language: string | null;
    Text: string | null;
    TextXBox: string | null;
    _index: number | null;
}
export interface Topologies {
    DGRFile: string | null;
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface TormentSpirits {
    Language: string | null;
    MaxZoneLevel: number | null;
    MinZoneLevel: number | null;
    ModsKeys0: string | null;
    ModsKeys1: string | null;
    MonsterVarietiesKey: number | null;
    Possessed_ModsKeys: string | null;
    SpawnWeight: number | null;
    Spirit_ModsKeys: string | null;
    SummonedMonster_MonsterVarietiesKey: number | null;
    Touched_ModsKeys: string | null;
    _index: number | null;
}
export interface TradeMarketCategory {
    Group: number | null;
    Id: string | null;
    IsDisabled: string | null;
    Language: string | null;
    Name: string | null;
    StyleFlag: string | null;
    _index: number | null;
}
export interface TradeMarketCategoryGroups {
    Id: string | null;
    Language: string | null;
    Name: string | null;
    _index: number | null;
}
export interface TradeMarketCategoryListAllClass {
    ItemClass: number | null;
    Language: string | null;
    TradeCategory: number | null;
    _index: number | null;
}
export interface TriggerSpawners {
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface Tutorial {
    ClientString: number | null;
    Id: string | null;
    IsEnabled: string | null;
    Language: string | null;
    UIFile: string | null;
    _index: number | null;
}
export interface UITalkText {
    Id: string | null;
    Language: string | null;
    NPCTextAudio: number | null;
    OGGFile: string | null;
    Text: string | null;
    UITalkCategoriesKey: string | null;
    _index: number | null;
}
export interface UltimatumEncounters {
    BossARMFile: string | null;
    Description: string | null;
    HASH16: number | null;
    Icon: string | null;
    Id: string | null;
    Language: string | null;
    ModTypes: string | null;
    Type: number | null;
    _index: number | null;
}
export interface UltimatumEncounterTypes {
    Id: string | null;
    InscribedAchievement: number | null;
    Language: string | null;
    Name: string | null;
    NormalAchievements: string | null;
    ProgressBarText: string | null;
    _index: number | null;
}
export interface UltimatumItemisedRewards {
    HASH16: number | null;
    Id: string | null;
    ItemVisualIdentityKey: number | null;
    Language: string | null;
    RewardText: string | null;
    RewardType: number | null;
    SacrificeAmount: number | null;
    SacrificeItem: number | null;
    SacrificeText: string | null;
    TrialMods: string | null;
    _index: number | null;
}
export interface UltimatumModifiers {
    Achievements: string | null;
    Bosses: string | null;
    BuffTemplates: string | null;
    DaemonSpawningData: number | null;
    Description: string | null;
    ExtraMods: string | null;
    HASH16: number | null;
    Icon: string | null;
    Id: string | null;
    Language: string | null;
    MiscAnimated: number | null;
    MonsterSpawners: string | null;
    MonsterTypesApplyingRuin: number | null;
    Name: string | null;
    PreviousTiers: string | null;
    Radius: number | null;
    TextAudio: number | null;
    Tier: number | null;
    Types: string | null;
    TypesExtra: string | null;
    TypesFiltered: string | null;
    _index: number | null;
}
export interface UltimatumModifierTypes {
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface UltimatumTrialMasterAudio {
    Id: string | null;
    Language: string | null;
    RoundsMax: number | null;
    RoundsMin: number | null;
    TextAudio: number | null;
    Variant: number | null;
    _index: number | null;
}
export interface UniqueChests {
    AOFile: string | null;
    AppearanceChestsKey: number | null;
    ChestsKey: number | null;
    FlavourTextKey: number | null;
    Id: string | null;
    Language: string | null;
    MinLevel: number | null;
    ModsKeys: string | null;
    SpawnWeight: number | null;
    WordsKey: number | null;
    _index: number | null;
}
export interface UniqueJewelLimits {
    JewelName: number | null;
    Language: string | null;
    Limit: number | null;
    _index: number | null;
}
export interface UniqueMaps {
    FlavourTextKey: number | null;
    GuildCharacter: string | null;
    HasGuildCharacter: string | null;
    IsDropDisabled: string | null;
    ItemVisualIdentityKey: number | null;
    Language: string | null;
    Name: string | null;
    WordsKey: number | null;
    WorldAreasKey: number | null;
    _index: number | null;
}
export interface UniqueStashLayout {
    BaseVersion: number | null;
    IsAlternateArt: string | null;
    ItemVisualIdentityKey: number | null;
    Language: string | null;
    OverrideHeight: number | null;
    OverrideWidth: number | null;
    RenamedVersion: number | null;
    ShowIfEmpty: string | null;
    UniqueStashTypesKey: number | null;
    WordsKey: number | null;
    _index: number | null;
}
export interface UniqueStashTypes {
    Height: number | null;
    Id: string | null;
    Image: string | null;
    IsDisabled: string | null;
    Language: string | null;
    Name: string | null;
    Order: number | null;
    Width: number | null;
    _index: number | null;
}
export interface VirtualStatContextFlags {
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface VoteState {
    Id: string | null;
    Language: string | null;
    Text: string | null;
    _index: number | null;
}
export interface VoteType {
    AcceptText: string | null;
    Id: string | null;
    Language: string | null;
    RejectText: string | null;
    Text: string | null;
    _index: number | null;
}
export interface WarbandsGraph {
    Connections: string | null;
    Language: string | null;
    WorldAreasKey: number | null;
    _index: number | null;
}
export interface WarbandsMapGraph {
    Connections: string | null;
    Language: string | null;
    WorldAreasKey: number | null;
    _index: number | null;
}
export interface WarbandsPackMonsters {
    Id: string | null;
    Language: string | null;
    Tier1Art: string | null;
    Tier1Name: string | null;
    Tier1_MonsterVarietiesKeys: string | null;
    Tier2Art: string | null;
    Tier2Name: string | null;
    Tier2_MonsterVarietiesKeys: string | null;
    Tier3Art: string | null;
    Tier3Name: string | null;
    Tier3_MonsterVarietiesKeys: string | null;
    Tier4Art: string | null;
    Tier4Name: string | null;
    Tier4_MonsterVarietiesKeys: string | null;
    _index: number | null;
}
export interface WarbandsPackNumbers {
    Id: string | null;
    Language: string | null;
    MaxLevel: number | null;
    MinLevel: number | null;
    SpawnChance: number | null;
    Tier1Number: number | null;
    Tier2Number: number | null;
    Tier3Number: number | null;
    Tier4Number: number | null;
    _index: number | null;
}
export interface WeaponClasses {
    ItemClass: number | null;
    Language: string | null;
    _index: number | null;
}
export interface WeaponImpactSoundData {
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface WeaponTypes {
    BaseItemTypesKey: number | null;
    Critical: number | null;
    DamageMax: number | null;
    DamageMin: number | null;
    Language: string | null;
    Null6: number | null;
    RangeMax: number | null;
    Speed: number | null;
    _index: number | null;
}
export interface WindowCursors {
    CursorClick: string | null;
    CursorDefault: string | null;
    CursorHover: string | null;
    Description: string | null;
    Id: string | null;
    IsEnabled: string | null;
    Language: string | null;
    _index: number | null;
}
export interface Words {
    Inflection: string | null;
    Language: string | null;
    SpawnWeight_Tags: string | null;
    SpawnWeight_Values: string | null;
    Text: string | null;
    Text2: string | null;
    Wordlist: string | null;
    _index: number | null;
}
export interface WorldAreaLeagueChances {
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface WorldAreas {
    AchievementItemsKey: number | null;
    Act: number | null;
    AreaLevel: number | null;
    AreaType_TagsKeys: string | null;
    Bosses_MonsterVarietiesKeys: string | null;
    Connections_WorldAreasKeys: string | null;
    Enter_AchievementItemsKey: number | null;
    EnvironmentsKey: number | null;
    FirstEntry_NPCTextAudioKey: number | null;
    FirstEntry_NPCsKey: string | null;
    FirstEntry_SoundEffectsKey: number | null;
    FullClear_AchievementItemsKeys: string | null;
    HASH16: number | null;
    HasWaypoint: string | null;
    Id: string | null;
    Inflection: string | null;
    IsHideout: string | null;
    IsLabyrinthAirlock: string | null;
    IsLabyrinthArea: string | null;
    IsLabyrinthBossArea: string | null;
    IsMapArea: string | null;
    IsTown: string | null;
    IsUniqueMapArea: string | null;
    IsVaalArea: string | null;
    Language: string | null;
    LoadingScreen_DDSFile: string | null;
    MaxLevel: number | null;
    ModsKeys: string | null;
    Monsters_MonsterVarietiesKeys: string | null;
    Name: string | null;
    ParentTown_WorldAreasKey: number | null;
    SpawnWeight_TagsKeys: string | null;
    SpawnWeight_Values: string | null;
    TSIFile: string | null;
    TagsKeys: string | null;
    TopologiesKeys: string | null;
    TwinnedFullClear_AchievementItemsKey: number | null;
    VaalArea_SpawnChance: number | null;
    VaalArea_WorldAreasKeys: string | null;
    WaypointActivation_AchievementItemsKeys: string | null;
    _index: number | null;
}
export interface WorldPopupIconTypes {
    Id: string | null;
    Language: string | null;
    _index: number | null;
}
export interface DB {
    AbyssObjects: AbyssObjects;
    AchievementItemRewards: AchievementItemRewards;
    AchievementItems: AchievementItems;
    Achievements: Achievements;
    AchievementSetRewards: AchievementSetRewards;
    AchievementSetsDisplay: AchievementSetsDisplay;
    ActiveSkills: ActiveSkills;
    ActiveSkillType: ActiveSkillType;
    Acts: Acts;
    AddBuffToTargetVarieties: AddBuffToTargetVarieties;
    AdditionalLifeScaling: AdditionalLifeScaling;
    AdditionalMonsterPacksFromStats: AdditionalMonsterPacksFromStats;
    AdvancedSkillsTutorial: AdvancedSkillsTutorial;
    AegisVariations: AegisVariations;
    AfflictionEndgameWaveMods: AfflictionEndgameWaveMods;
    AfflictionFixedMods: AfflictionFixedMods;
    AfflictionRandomModCategories: AfflictionRandomModCategories;
    AfflictionRewardMapMods: AfflictionRewardMapMods;
    AfflictionRewardTypeVisuals: AfflictionRewardTypeVisuals;
    AfflictionSplitDemons: AfflictionSplitDemons;
    AfflictionStartDialogue: AfflictionStartDialogue;
    AlternatePassiveAdditions: AlternatePassiveAdditions;
    AlternatePassiveSkills: AlternatePassiveSkills;
    AlternateQualityTypes: AlternateQualityTypes;
    AlternateSkillTargetingBehaviours: AlternateSkillTargetingBehaviours;
    AlternateTreeVersions: AlternateTreeVersions;
    AnimatedObjectFlags: AnimatedObjectFlags;
    Animation: Animation;
    ApplyDamageFunctions: ApplyDamageFunctions;
    ArchetypeRewards: ArchetypeRewards;
    Archetypes: Archetypes;
    ArchitectLifeScalingPerLevel: ArchitectLifeScalingPerLevel;
    ArchnemesisMetaRewards: ArchnemesisMetaRewards;
    ArchnemesisModComboAchievements: ArchnemesisModComboAchievements;
    ArchnemesisMods: ArchnemesisMods;
    ArchnemesisModVisuals: ArchnemesisModVisuals;
    ArchnemesisRecipes: ArchnemesisRecipes;
    AreaInfluenceDoodads: AreaInfluenceDoodads;
    AreaTransitionAnimations: AreaTransitionAnimations;
    AreaTransitionAnimationTypes: AreaTransitionAnimationTypes;
    ArmourTypes: ArmourTypes;
    Ascendancy: Ascendancy;
    AtlasExileBossArenas: AtlasExileBossArenas;
    AtlasExileInfluence: AtlasExileInfluence;
    AtlasExiles: AtlasExiles;
    AtlasFavouredMapSlots: AtlasFavouredMapSlots;
    AtlasInfluenceData: AtlasInfluenceData;
    AtlasInfluenceOutcomes: AtlasInfluenceOutcomes;
    AtlasInfluenceSets: AtlasInfluenceSets;
    AtlasMods: AtlasMods;
    AtlasNode: AtlasNode;
    AtlasNodeDefinition: AtlasNodeDefinition;
    AtlasPassiveSkillTreeGroupType: AtlasPassiveSkillTreeGroupType;
    AtlasPositions: AtlasPositions;
    AtlasPrimordialAltarChoices: AtlasPrimordialAltarChoices;
    AtlasPrimordialAltarChoiceTypes: AtlasPrimordialAltarChoiceTypes;
    AtlasPrimordialBosses: AtlasPrimordialBosses;
    AtlasPrimordialBossInfluence: AtlasPrimordialBossInfluence;
    AtlasPrimordialBossOptions: AtlasPrimordialBossOptions;
    AtlasUpgradesInventoryLayout: AtlasUpgradesInventoryLayout;
    AwardDisplay: AwardDisplay;
    BackendErrors: BackendErrors;
    BaseItemTypes: BaseItemTypes;
    BestiaryCapturableMonsters: BestiaryCapturableMonsters;
    BestiaryFamilies: BestiaryFamilies;
    BestiaryGenus: BestiaryGenus;
    BestiaryGroups: BestiaryGroups;
    BestiaryNets: BestiaryNets;
    BestiaryRecipeComponent: BestiaryRecipeComponent;
    BestiaryRecipes: BestiaryRecipes;
    BetrayalChoiceActions: BetrayalChoiceActions;
    BetrayalChoices: BetrayalChoices;
    BetrayalDialogue: BetrayalDialogue;
    BetrayalForts: BetrayalForts;
    BetrayalJobs: BetrayalJobs;
    BetrayalRanks: BetrayalRanks;
    BetrayalRelationshipState: BetrayalRelationshipState;
    BetrayalTargetJobAchievements: BetrayalTargetJobAchievements;
    BetrayalTargetLifeScalingPerLevel: BetrayalTargetLifeScalingPerLevel;
    BetrayalTargets: BetrayalTargets;
    BetrayalTraitorRewards: BetrayalTraitorRewards;
    BetrayalUpgrades: BetrayalUpgrades;
    BetrayalWallLifeScalingPerLevel: BetrayalWallLifeScalingPerLevel;
    BindableVirtualKeys: BindableVirtualKeys;
    BlightBalancePerLevel: BlightBalancePerLevel;
    BlightBossLifeScalingPerLevel: BlightBossLifeScalingPerLevel;
    BlightChestTypes: BlightChestTypes;
    BlightCraftingItems: BlightCraftingItems;
    BlightCraftingRecipes: BlightCraftingRecipes;
    BlightCraftingResults: BlightCraftingResults;
    BlightCraftingTypes: BlightCraftingTypes;
    BlightCraftingUniques: BlightCraftingUniques;
    BlightedSporeAuras: BlightedSporeAuras;
    BlightEncounterTypes: BlightEncounterTypes;
    BlightEncounterWaves: BlightEncounterWaves;
    BlightRewardTypes: BlightRewardTypes;
    BlightStashTabLayout: BlightStashTabLayout;
    BlightTopologies: BlightTopologies;
    BlightTopologyNodes: BlightTopologyNodes;
    BlightTowerAuras: BlightTowerAuras;
    BlightTowers: BlightTowers;
    BlightTowersPerLevel: BlightTowersPerLevel;
    BloodTypes: BloodTypes;
    BreachBossLifeScalingPerLevel: BreachBossLifeScalingPerLevel;
    BreachElement: BreachElement;
    BreachstoneUpgrades: BreachstoneUpgrades;
    BuffDefinitions: BuffDefinitions;
    BuffTemplates: BuffTemplates;
    BuffVisualOrbArt: BuffVisualOrbArt;
    BuffVisualOrbs: BuffVisualOrbs;
    BuffVisualOrbTypes: BuffVisualOrbTypes;
    BuffVisuals: BuffVisuals;
    BuffVisualsArtVariations: BuffVisualsArtVariations;
    BuffVisualSetEntries: BuffVisualSetEntries;
    CharacterPanelDescriptionModes: CharacterPanelDescriptionModes;
    CharacterPanelStats: CharacterPanelStats;
    CharacterPanelTabs: CharacterPanelTabs;
    Characters: Characters;
    CharacterStartQuestState: CharacterStartQuestState;
    CharacterStartStates: CharacterStartStates;
    CharacterStartStateSet: CharacterStartStateSet;
    CharacterTextAudio: CharacterTextAudio;
    ChatIcons: ChatIcons;
    ChestClusters: ChestClusters;
    ChestEffects: ChestEffects;
    Chests: Chests;
    ClientLakeDifficulty: ClientLakeDifficulty;
    ClientLeagueAction: ClientLeagueAction;
    ClientStrings: ClientStrings;
    CloneShot: CloneShot;
    Colours: Colours;
    Commands: Commands;
    ComponentAttributeRequirements: ComponentAttributeRequirements;
    ComponentCharges: ComponentCharges;
    CostTypes: CostTypes;
    CraftingBenchOptions: CraftingBenchOptions;
    CraftingBenchSortCategories: CraftingBenchSortCategories;
    CraftingBenchUnlockCategories: CraftingBenchUnlockCategories;
    CraftingItemClassCategories: CraftingItemClassCategories;
    CurrencyItems: CurrencyItems;
    CurrencyStashTabLayout: CurrencyStashTabLayout;
    DaemonSpawningData: DaemonSpawningData;
    DamageHitEffects: DamageHitEffects;
    DamageParticleEffects: DamageParticleEffects;
    Dances: Dances;
    DaressoPitFights: DaressoPitFights;
    DefaultMonsterStats: DefaultMonsterStats;
    DeliriumStashTabLayout: DeliriumStashTabLayout;
    DelveAzuriteShop: DelveAzuriteShop;
    DelveBiomes: DelveBiomes;
    DelveCatchupDepths: DelveCatchupDepths;
    DelveCraftingModifierDescriptions: DelveCraftingModifierDescriptions;
    DelveCraftingModifiers: DelveCraftingModifiers;
    DelveCraftingTags: DelveCraftingTags;
    DelveDynamite: DelveDynamite;
    DelveFeatures: DelveFeatures;
    DelveLevelScaling: DelveLevelScaling;
    DelveMonsterSpawners: DelveMonsterSpawners;
    DelveResourcePerLevel: DelveResourcePerLevel;
    DelveRooms: DelveRooms;
    DelveStashTabLayout: DelveStashTabLayout;
    DelveUpgrades: DelveUpgrades;
    DescentExiles: DescentExiles;
    DescentRewardChests: DescentRewardChests;
    DescentStarterChest: DescentStarterChest;
    DialogueEvent: DialogueEvent;
    DisplayMinionMonsterType: DisplayMinionMonsterType;
    DivinationCardArt: DivinationCardArt;
    DivinationCardStashTabLayout: DivinationCardStashTabLayout;
    Doors: Doors;
    DroneBaseTypes: DroneBaseTypes;
    DroneTypes: DroneTypes;
    DropEffects: DropEffects;
    DropPool: DropPool;
    EclipseMods: EclipseMods;
    EffectivenessCostConstants: EffectivenessCostConstants;
    EinharMissions: EinharMissions;
    ElderBossArenas: ElderBossArenas;
    ElderGuardians: ElderGuardians;
    ElderMapBossOverride: ElderMapBossOverride;
    EndlessLedgeChests: EndlessLedgeChests;
    Environments: Environments;
    EnvironmentTransitions: EnvironmentTransitions;
    Essences: Essences;
    EssenceStashTabLayout: EssenceStashTabLayout;
    EssenceType: EssenceType;
    ExecuteGEAL: ExecuteGEAL;
    ExpandingPulse: ExpandingPulse;
    ExpeditionAreas: ExpeditionAreas;
    ExpeditionBalancePerLevel: ExpeditionBalancePerLevel;
    ExpeditionCurrency: ExpeditionCurrency;
    ExpeditionDeals: ExpeditionDeals;
    ExpeditionFactions: ExpeditionFactions;
    ExpeditionMarkersCommon: ExpeditionMarkersCommon;
    ExpeditionNPCs: ExpeditionNPCs;
    ExpeditionRelicMods: ExpeditionRelicMods;
    ExpeditionRelics: ExpeditionRelics;
    ExpeditionStorageLayout: ExpeditionStorageLayout;
    ExpeditionTerrainFeatures: ExpeditionTerrainFeatures;
    ExperienceLevels: ExperienceLevels;
    ExplodingStormBuffs: ExplodingStormBuffs;
    ExtraTerrainFeatures: ExtraTerrainFeatures;
    FixedHideoutDoodadTypes: FixedHideoutDoodadTypes;
    Flasks: Flasks;
    FlavourText: FlavourText;
    Footprints: Footprints;
    FootstepAudio: FootstepAudio;
    FragmentStashTabLayout: FragmentStashTabLayout;
    GameConstants: GameConstants;
    GamepadType: GamepadType;
    GameStats: GameStats;
    GemTags: GemTags;
    GenericBuffAuras: GenericBuffAuras;
    GenericLeagueRewardTypes: GenericLeagueRewardTypes;
    GenericLeagueRewardTypeVisuals: GenericLeagueRewardTypeVisuals;
    GeometryChannel: GeometryChannel;
    GlobalAudioConfig: GlobalAudioConfig;
    Grandmasters: Grandmasters;
    GrantedEffectQualityStats: GrantedEffectQualityStats;
    GrantedEffectQualityTypes: GrantedEffectQualityTypes;
    GrantedEffects: GrantedEffects;
    GrantedEffectsPerLevel: GrantedEffectsPerLevel;
    GrantedEffectStatSets: GrantedEffectStatSets;
    GrantedEffectStatSetsPerLevel: GrantedEffectStatSetsPerLevel;
    GroundEffects: GroundEffects;
    GroundEffectTypes: GroundEffectTypes;
    Harbingers: Harbingers;
    HarvestCraftOptionIcons: HarvestCraftOptionIcons;
    HarvestCraftTiers: HarvestCraftTiers;
    HarvestInfrastructure: HarvestInfrastructure;
    HarvestPerLevelValues: HarvestPerLevelValues;
    HeistAreaFormationLayout: HeistAreaFormationLayout;
    HeistAreas: HeistAreas;
    HeistBalancePerLevel: HeistBalancePerLevel;
    HeistChestRewardTypes: HeistChestRewardTypes;
    HeistChests: HeistChests;
    HeistConstants: HeistConstants;
    HeistContracts: HeistContracts;
    HeistDoodadNPCs: HeistDoodadNPCs;
    HeistDoors: HeistDoors;
    HeistEquipment: HeistEquipment;
    HeistGeneration: HeistGeneration;
    HeistIntroAreas: HeistIntroAreas;
    HeistJobs: HeistJobs;
    HeistJobsExperiencePerLevel: HeistJobsExperiencePerLevel;
    HeistLockType: HeistLockType;
    HeistNPCAuras: HeistNPCAuras;
    HeistNPCBlueprintTypes: HeistNPCBlueprintTypes;
    HeistNPCDialogue: HeistNPCDialogue;
    HeistNPCs: HeistNPCs;
    HeistNPCStats: HeistNPCStats;
    HeistObjectives: HeistObjectives;
    HeistObjectiveValueDescriptions: HeistObjectiveValueDescriptions;
    HeistPatrolPacks: HeistPatrolPacks;
    HeistQuestContracts: HeistQuestContracts;
    HeistRevealingNPCs: HeistRevealingNPCs;
    HeistRooms: HeistRooms;
    HeistStorageLayout: HeistStorageLayout;
    HeistValueScaling: HeistValueScaling;
    HellscapeAOReplacements: HellscapeAOReplacements;
    HellscapeAreaPacks: HellscapeAreaPacks;
    HellscapeExperienceLevels: HellscapeExperienceLevels;
    HellscapeFactions: HellscapeFactions;
    HellscapeImmuneMonsters: HellscapeImmuneMonsters;
    HellscapeItemModificationTiers: HellscapeItemModificationTiers;
    HellscapeLifeScalingPerLevel: HellscapeLifeScalingPerLevel;
    HellscapeModificationInventoryLayout: HellscapeModificationInventoryLayout;
    HellscapeMods: HellscapeMods;
    HellscapeMonsterPacks: HellscapeMonsterPacks;
    HellscapePassives: HellscapePassives;
    HellscapePassiveTree: HellscapePassiveTree;
    HideoutDoodadCategory: HideoutDoodadCategory;
    HideoutDoodads: HideoutDoodads;
    HideoutDoodadTags: HideoutDoodadTags;
    HideoutNPCs: HideoutNPCs;
    HideoutRarity: HideoutRarity;
    Hideouts: Hideouts;
    ImpactSoundData: ImpactSoundData;
    Incubators: Incubators;
    IncursionArchitect: IncursionArchitect;
    IncursionBrackets: IncursionBrackets;
    IncursionChestRewards: IncursionChestRewards;
    IncursionChests: IncursionChests;
    IncursionRoomBossFightEvents: IncursionRoomBossFightEvents;
    IncursionRooms: IncursionRooms;
    IncursionUniqueUpgradeComponents: IncursionUniqueUpgradeComponents;
    IndexableSupportGems: IndexableSupportGems;
    InfluenceExalts: InfluenceExalts;
    InfluenceModUpgrades: InfluenceModUpgrades;
    InfluenceTags: InfluenceTags;
    InvasionMonsterRestrictions: InvasionMonsterRestrictions;
    InvasionMonstersPerArea: InvasionMonstersPerArea;
    Inventories: Inventories;
    ItemClassCategories: ItemClassCategories;
    ItemClasses: ItemClasses;
    ItemCostPerLevel: ItemCostPerLevel;
    ItemCosts: ItemCosts;
    ItemExperiencePerLevel: ItemExperiencePerLevel;
    ItemisedVisualEffect: ItemisedVisualEffect;
    ItemNoteCode: ItemNoteCode;
    ItemStances: ItemStances;
    ItemVisualEffect: ItemVisualEffect;
    ItemVisualHeldBodyModel: ItemVisualHeldBodyModel;
    ItemVisualIdentity: ItemVisualIdentity;
    JobRaidBrackets: JobRaidBrackets;
    KillstreakThresholds: KillstreakThresholds;
    KiracLevels: KiracLevels;
    LabyrinthAreas: LabyrinthAreas;
    LabyrinthBonusItems: LabyrinthBonusItems;
    LabyrinthExclusionGroups: LabyrinthExclusionGroups;
    LabyrinthIzaroChests: LabyrinthIzaroChests;
    LabyrinthNodeOverrides: LabyrinthNodeOverrides;
    LabyrinthRewardTypes: LabyrinthRewardTypes;
    Labyrinths: Labyrinths;
    LabyrinthSecretEffects: LabyrinthSecretEffects;
    LabyrinthSecrets: LabyrinthSecrets;
    LabyrinthSection: LabyrinthSection;
    LabyrinthSectionLayout: LabyrinthSectionLayout;
    LabyrinthTrials: LabyrinthTrials;
    LabyrinthTrinkets: LabyrinthTrinkets;
    LakeBossLifeScalingPerLevel: LakeBossLifeScalingPerLevel;
    LakeMetaOptions: LakeMetaOptions;
    LakeMetaOptionsUnlockText: LakeMetaOptionsUnlockText;
    LakeRoomCompletion: LakeRoomCompletion;
    LakeRooms: LakeRooms;
    LeagueFlag: LeagueFlag;
    LeagueInfo: LeagueInfo;
    LeagueProgressQuestFlags: LeagueProgressQuestFlags;
    LegionBalancePerLevel: LegionBalancePerLevel;
    LegionChestCounts: LegionChestCounts;
    LegionChests: LegionChests;
    LegionFactions: LegionFactions;
    LegionMonsterCounts: LegionMonsterCounts;
    LegionMonsterVarieties: LegionMonsterVarieties;
    LegionRanks: LegionRanks;
    LegionRewardTypeVisuals: LegionRewardTypeVisuals;
    LevelRelativePlayerScaling: LevelRelativePlayerScaling;
    MagicMonsterLifeScalingPerLevel: MagicMonsterLifeScalingPerLevel;
    MapCompletionAchievements: MapCompletionAchievements;
    MapConnections: MapConnections;
    MapCreationInformation: MapCreationInformation;
    MapDeviceRecipes: MapDeviceRecipes;
    MapDevices: MapDevices;
    MapFragmentMods: MapFragmentMods;
    MapInhabitants: MapInhabitants;
    MapPins: MapPins;
    MapPurchaseCosts: MapPurchaseCosts;
    Maps: Maps;
    MapSeries: MapSeries;
    MapSeriesTiers: MapSeriesTiers;
    MapStashSpecialTypeEntries: MapStashSpecialTypeEntries;
    MapStashUniqueMapInfo: MapStashUniqueMapInfo;
    MapStatConditions: MapStatConditions;
    MapTierAchievements: MapTierAchievements;
    MapTiers: MapTiers;
    MavenDialog: MavenDialog;
    MavenFights: MavenFights;
    MavenJewelRadiusKeystones: MavenJewelRadiusKeystones;
    Melee: Melee;
    MeleeTrails: MeleeTrails;
    MetamorphLifeScalingPerLevel: MetamorphLifeScalingPerLevel;
    MetamorphosisMetaMonsters: MetamorphosisMetaMonsters;
    MetamorphosisMetaSkills: MetamorphosisMetaSkills;
    MetamorphosisMetaSkillTypes: MetamorphosisMetaSkillTypes;
    MetamorphosisRewardTypeItemsClient: MetamorphosisRewardTypeItemsClient;
    MetamorphosisRewardTypes: MetamorphosisRewardTypes;
    MetamorphosisScaling: MetamorphosisScaling;
    MetamorphosisStashTabLayout: MetamorphosisStashTabLayout;
    MicroMigrationData: MicroMigrationData;
    MicrotransactionCategory: MicrotransactionCategory;
    MicrotransactionCharacterPortraitVariations: MicrotransactionCharacterPortraitVariations;
    MicrotransactionCombineFormula: MicrotransactionCombineFormula;
    MicrotransactionFireworksVariations: MicrotransactionFireworksVariations;
    MicrotransactionPeriodicCharacterEffectVariations: MicrotransactionPeriodicCharacterEffectVariations;
    MicrotransactionPortalVariations: MicrotransactionPortalVariations;
    MicrotransactionRarityDisplay: MicrotransactionRarityDisplay;
    MicrotransactionRecycleSalvageValues: MicrotransactionRecycleSalvageValues;
    MicrotransactionSlot: MicrotransactionSlot;
    MicrotransactionSocialFrameVariations: MicrotransactionSocialFrameVariations;
    MinimapIcons: MinimapIcons;
    MiscAnimated: MiscAnimated;
    MiscAnimatedArtVariations: MiscAnimatedArtVariations;
    MiscBeams: MiscBeams;
    MiscBeamsArtVariations: MiscBeamsArtVariations;
    MiscEffectPacks: MiscEffectPacks;
    MiscObjects: MiscObjects;
    MissionTimerTypes: MissionTimerTypes;
    MissionTransitionTiles: MissionTransitionTiles;
    ModEffectStats: ModEffectStats;
    ModEquivalencies: ModEquivalencies;
    ModFamily: ModFamily;
    Mods: Mods;
    ModSellPriceTypes: ModSellPriceTypes;
    ModType: ModType;
    MonsterArmours: MonsterArmours;
    MonsterBonuses: MonsterBonuses;
    MonsterConditionalEffectPacks: MonsterConditionalEffectPacks;
    MonsterConditions: MonsterConditions;
    MonsterDeathAchievements: MonsterDeathAchievements;
    MonsterGroupEntries: MonsterGroupEntries;
    MonsterHeightBrackets: MonsterHeightBrackets;
    MonsterHeights: MonsterHeights;
    MonsterMapBossDifficulty: MonsterMapBossDifficulty;
    MonsterMapDifficulty: MonsterMapDifficulty;
    MonsterMortar: MonsterMortar;
    MonsterPackEntries: MonsterPackEntries;
    MonsterPacks: MonsterPacks;
    MonsterProjectileAttack: MonsterProjectileAttack;
    MonsterProjectileSpell: MonsterProjectileSpell;
    MonsterResistances: MonsterResistances;
    MonsterSegments: MonsterSegments;
    MonsterSpawnerGroups: MonsterSpawnerGroups;
    MonsterSpawnerGroupsPerLevel: MonsterSpawnerGroupsPerLevel;
    MonsterSpawnerOverrides: MonsterSpawnerOverrides;
    MonsterTypes: MonsterTypes;
    MonsterVarieties: MonsterVarieties;
    MonsterVarietiesArtVariations: MonsterVarietiesArtVariations;
    MouseCursorSizeSettings: MouseCursorSizeSettings;
    MTXSetBonus: MTXSetBonus;
    MultiPartAchievementConditions: MultiPartAchievementConditions;
    MultiPartAchievements: MultiPartAchievements;
    Music: Music;
    MusicCategories: MusicCategories;
    MysteryBoxes: MysteryBoxes;
    NearbyMonsterConditions: NearbyMonsterConditions;
    NetTiers: NetTiers;
    Notifications: Notifications;
    NPCAudio: NPCAudio;
    NPCConversations: NPCConversations;
    NPCDialogueStyles: NPCDialogueStyles;
    NPCFollowerVariations: NPCFollowerVariations;
    NPCMaster: NPCMaster;
    NPCPortraits: NPCPortraits;
    NPCs: NPCs;
    NPCShop: NPCShop;
    NPCTalkConsoleQuickActions: NPCTalkConsoleQuickActions;
    NPCTextAudio: NPCTextAudio;
    OnKillAchievements: OnKillAchievements;
    PackFormation: PackFormation;
    PantheonSouls: PantheonSouls;
    PassiveJewelRadii: PassiveJewelRadii;
    PassiveJewelSlots: PassiveJewelSlots;
    PassiveSkillFilterCatagories: PassiveSkillFilterCatagories;
    PassiveSkillFilterOptions: PassiveSkillFilterOptions;
    PassiveSkillMasteryEffects: PassiveSkillMasteryEffects;
    PassiveSkillMasteryGroups: PassiveSkillMasteryGroups;
    PassiveSkills: PassiveSkills;
    PassiveSkillStatCategories: PassiveSkillStatCategories;
    PassiveSkillTrees: PassiveSkillTrees;
    PassiveSkillTreeTutorial: PassiveSkillTreeTutorial;
    PassiveSkillTreeUIArt: PassiveSkillTreeUIArt;
    PassiveTreeExpansionJewels: PassiveTreeExpansionJewels;
    PassiveTreeExpansionJewelSizes: PassiveTreeExpansionJewelSizes;
    PassiveTreeExpansionSkills: PassiveTreeExpansionSkills;
    PassiveTreeExpansionSpecialSkills: PassiveTreeExpansionSpecialSkills;
    Pet: Pet;
    PlayerConditions: PlayerConditions;
    PlayerTradeWhisperFormats: PlayerTradeWhisperFormats;
    PreloadGroups: PreloadGroups;
    PrimordialBossLifeScalingPerLevel: PrimordialBossLifeScalingPerLevel;
    Projectiles: Projectiles;
    ProjectilesArtVariations: ProjectilesArtVariations;
    PVPTypes: PVPTypes;
    Quest: Quest;
    QuestAchievements: QuestAchievements;
    QuestFlags: QuestFlags;
    QuestItems: QuestItems;
    QuestRewardOffers: QuestRewardOffers;
    QuestRewards: QuestRewards;
    QuestStates: QuestStates;
    QuestStaticRewards: QuestStaticRewards;
    QuestTrackerGroup: QuestTrackerGroup;
    QuestType: QuestType;
    Races: Races;
    RaceTimes: RaceTimes;
    RareMonsterLifeScalingPerLevel: RareMonsterLifeScalingPerLevel;
    Rarity: Rarity;
    Realms: Realms;
    RecipeUnlockDisplay: RecipeUnlockDisplay;
    RecipeUnlockObjects: RecipeUnlockObjects;
    RitualBalancePerLevel: RitualBalancePerLevel;
    RitualConstants: RitualConstants;
    RitualRuneTypes: RitualRuneTypes;
    RitualSetKillAchievements: RitualSetKillAchievements;
    RitualSpawnPatterns: RitualSpawnPatterns;
    RogueExiles: RogueExiles;
    Rulesets: Rulesets;
    SafehouseBYOCrafting: SafehouseBYOCrafting;
    SafehouseCraftingSpree: SafehouseCraftingSpree;
    SafehouseCraftingSpreeCurrencies: SafehouseCraftingSpreeCurrencies;
    SalvageBoxes: SalvageBoxes;
    Scarabs: Scarabs;
    ScoutingReports: ScoutingReports;
    SentinelCraftingCurrency: SentinelCraftingCurrency;
    SentinelDroneInventoryLayout: SentinelDroneInventoryLayout;
    SentinelPassives: SentinelPassives;
    SentinelPassiveTypes: SentinelPassiveTypes;
    SentinelStorageLayout: SentinelStorageLayout;
    SentinelTaggedMonsterStats: SentinelTaggedMonsterStats;
    SessionQuestFlags: SessionQuestFlags;
    ShaperGuardians: ShaperGuardians;
    ShieldTypes: ShieldTypes;
    ShopTag: ShopTag;
    Shrines: Shrines;
    ShrineSounds: ShrineSounds;
    SigilDisplay: SigilDisplay;
    SingleGroundLaser: SingleGroundLaser;
    SkillArtVariations: SkillArtVariations;
    SkillGemInfo: SkillGemInfo;
    SkillGems: SkillGems;
    SkillMineVariations: SkillMineVariations;
    SkillMorphDisplay: SkillMorphDisplay;
    SkillSurgeEffects: SkillSurgeEffects;
    SkillTotemVariations: SkillTotemVariations;
    SkillTrapVariations: SkillTrapVariations;
    SocketNotches: SocketNotches;
    SoundEffects: SoundEffects;
    SpawnAdditionalChestsOrClusters: SpawnAdditionalChestsOrClusters;
    SpecialRooms: SpecialRooms;
    SpecialTiles: SpecialTiles;
    SpectreOverrides: SpectreOverrides;
    StartingPassiveSkills: StartingPassiveSkills;
    StashTabAffinities: StashTabAffinities;
    StashType: StashType;
    StatDescriptionFunctions: StatDescriptionFunctions;
    Stats: Stats;
    Strongboxes: Strongboxes;
    SuicideExplosion: SuicideExplosion;
    SummonedSpecificBarrels: SummonedSpecificBarrels;
    SummonedSpecificMonsters: SummonedSpecificMonsters;
    SummonedSpecificMonstersOnDeath: SummonedSpecificMonstersOnDeath;
    SurgeEffects: SurgeEffects;
    SurgeTypes: SurgeTypes;
    SynthesisAreas: SynthesisAreas;
    SynthesisAreaSize: SynthesisAreaSize;
    SynthesisBonuses: SynthesisBonuses;
    SynthesisBrackets: SynthesisBrackets;
    SynthesisFragmentDialogue: SynthesisFragmentDialogue;
    SynthesisGlobalMods: SynthesisGlobalMods;
    SynthesisMonsterExperiencePerLevel: SynthesisMonsterExperiencePerLevel;
    SynthesisRewardCategories: SynthesisRewardCategories;
    SynthesisRewardTypes: SynthesisRewardTypes;
    TableMonsterSpawners: TableMonsterSpawners;
    Tags: Tags;
    TalismanMonsterMods: TalismanMonsterMods;
    TalismanPacks: TalismanPacks;
    Talismans: Talismans;
    TalkingPetAudioEvents: TalkingPetAudioEvents;
    TencentAutoLootPetCurrencies: TencentAutoLootPetCurrencies;
    TencentAutoLootPetCurrenciesExcludable: TencentAutoLootPetCurrenciesExcludable;
    TerrainPlugins: TerrainPlugins;
    Tips: Tips;
    Topologies: Topologies;
    TormentSpirits: TormentSpirits;
    TradeMarketCategory: TradeMarketCategory;
    TradeMarketCategoryGroups: TradeMarketCategoryGroups;
    TradeMarketCategoryListAllClass: TradeMarketCategoryListAllClass;
    TriggerSpawners: TriggerSpawners;
    Tutorial: Tutorial;
    UITalkText: UITalkText;
    UltimatumEncounters: UltimatumEncounters;
    UltimatumEncounterTypes: UltimatumEncounterTypes;
    UltimatumItemisedRewards: UltimatumItemisedRewards;
    UltimatumModifiers: UltimatumModifiers;
    UltimatumModifierTypes: UltimatumModifierTypes;
    UltimatumTrialMasterAudio: UltimatumTrialMasterAudio;
    UniqueChests: UniqueChests;
    UniqueJewelLimits: UniqueJewelLimits;
    UniqueMaps: UniqueMaps;
    UniqueStashLayout: UniqueStashLayout;
    UniqueStashTypes: UniqueStashTypes;
    VirtualStatContextFlags: VirtualStatContextFlags;
    VoteState: VoteState;
    VoteType: VoteType;
    WarbandsGraph: WarbandsGraph;
    WarbandsMapGraph: WarbandsMapGraph;
    WarbandsPackMonsters: WarbandsPackMonsters;
    WarbandsPackNumbers: WarbandsPackNumbers;
    WeaponClasses: WeaponClasses;
    WeaponImpactSoundData: WeaponImpactSoundData;
    WeaponTypes: WeaponTypes;
    WindowCursors: WindowCursors;
    Words: Words;
    WorldAreaLeagueChances: WorldAreaLeagueChances;
    WorldAreas: WorldAreas;
    WorldPopupIconTypes: WorldPopupIconTypes;
}
